DROP TABLE IF EXISTS RISK.blm_account_status;
CREATE TABLE RISK.blm_account_status
DISTRIBUTE BY HASH (CUST_ID)
AS
(select
cust_id
,card_id
,stmt_dt
,target

,SUM(_L1M*musteri_aktif) AS _L1M_musteri_aktif
,SUM(_L1M*grp_adk_aktif) AS _L1M_grp_adk_aktif
,SUM(_L1M*grp_diger_aktif) AS _L1M_grp_diger_aktif
,SUM(_L1M*grp_vdli_aktif) AS _L1M_grp_vdli_aktif
,SUM(_L1M*grp_vdsz_aktif) AS _L1M_grp_vdsz_aktif
,SUM(_L1M*grp_yat_aktif) AS _L1M_grp_yat_aktif
,SUM(_L1M*grp_nakdi_krd_aktif) AS _L1M_grp_nakdi_krd_aktif
,SUM(_L1M*grp_gnakdi_krd_aktif) AS _L1M_grp_gnakdi_krd_aktif
,SUM(_L1M*grp_nyb_aktif) AS _L1M_grp_nyb_aktif
,SUM(_L1M*grp_cepteteb_aktif) AS _L1M_grp_cepteteb_aktif

,SUM(_L3M*musteri_aktif) AS _L3M_musteri_aktif
,SUM(_L3M*grp_adk_aktif) AS _L3M_grp_adk_aktif
,SUM(_L3M*grp_diger_aktif) AS _L3M_grp_diger_aktif
,SUM(_L3M*grp_vdli_aktif) AS _L3M_grp_vdli_aktif
,SUM(_L3M*grp_vdsz_aktif) AS _L3M_grp_vdsz_aktif
,SUM(_L3M*grp_yat_aktif) AS _L3M_grp_yat_aktif
,SUM(_L3M*grp_nakdi_krd_aktif) AS _L3M_grp_nakdi_krd_aktif
,SUM(_L3M*grp_gnakdi_krd_aktif) AS _L3M_grp_gnakdi_krd_aktif
,SUM(_L3M*grp_nyb_aktif) AS _L3M_grp_nyb_aktif
,SUM(_L3M*grp_cepteteb_aktif) AS _L3M_grp_cepteteb_aktif

,SUM(_L6M*musteri_aktif) AS _L6M_musteri_aktif
,SUM(_L6M*grp_adk_aktif) AS _L6M_grp_adk_aktif
,SUM(_L6M*grp_diger_aktif) AS _L6M_grp_diger_aktif
,SUM(_L6M*grp_vdli_aktif) AS _L6M_grp_vdli_aktif
,SUM(_L6M*grp_vdsz_aktif) AS _L6M_grp_vdsz_aktif
,SUM(_L6M*grp_yat_aktif) AS _L6M_grp_yat_aktif
,SUM(_L6M*grp_nakdi_krd_aktif) AS _L6M_grp_nakdi_krd_aktif
,SUM(_L6M*grp_gnakdi_krd_aktif) AS _L6M_grp_gnakdi_krd_aktif
,SUM(_L6M*grp_nyb_aktif) AS _L6M_grp_nyb_aktif
,SUM(_L6M*grp_cepteteb_aktif) AS _L6M_grp_cepteteb_aktif

,MAX(_L1M*grp_adk_vy) AS _L1M_grp_adk_vy
,MAX(_L1M*grp_diger_vy) AS _L1M_grp_diger_vy
,MAX(_L1M*grp_vdli_vy) AS _L1M_grp_vdli_vy
,MAX(_L1M*grp_vdsz_vy) AS _L1M_grp_vdsz_vy
,MAX(_L1M*grp_yat_vy) AS _L1M_grp_yat_vy
,MAX(_L1M*grp_nakdi_krd_vy) AS _L1M_grp_nakdi_krd_vy
,MAX(_L1M*grp_gnakdi_krd_vy) AS _L1M_grp_gnakdi_krd_vy
,MAX(_L1M*grp_nyb_vy) AS _L1M_grp_nyb_vy
,MAX(_L1M*grp_cepteteb_vy) AS _L1M_grp_cepteteb_vy

,sum(case when (_1M*grp_adk_vy)-(_2M*grp_adk_vy) > 0 THEN (_1M*grp_adk_vy)-(_2M*grp_adk_vy) else 0 END+case when (_2M*grp_adk_vy)-(_3M*grp_adk_vy) > 0 THEN (_2M*grp_adk_vy)-(_3M*grp_adk_vy) else 0 END+case when (_3M*grp_adk_vy)-(_4M*grp_adk_vy) > 0 THEN (_3M*grp_adk_vy)-(_4M*grp_adk_vy) else 0 END+case when (_4M*grp_adk_vy)-(_5M*grp_adk_vy) > 0 THEN (_4M*grp_adk_vy)-(_5M*grp_adk_vy) else 0 END+case when (_5M*grp_adk_vy)-(_6M*grp_adk_vy) > 0 THEN (_5M*grp_adk_vy)-(_6M*grp_adk_vy) else 0 END) AS _6M_grp_adk_vy_OPN
,sum(case when (_1M*grp_diger_vy)-(_2M*grp_diger_vy) > 0 THEN (_1M*grp_diger_vy)-(_2M*grp_diger_vy) else 0 END+case when (_2M*grp_diger_vy)-(_3M*grp_diger_vy) > 0 THEN (_2M*grp_diger_vy)-(_3M*grp_diger_vy) else 0 END+case when (_3M*grp_diger_vy)-(_4M*grp_diger_vy) > 0 THEN (_3M*grp_diger_vy)-(_4M*grp_diger_vy) else 0 END+case when (_4M*grp_diger_vy)-(_5M*grp_diger_vy) > 0 THEN (_4M*grp_diger_vy)-(_5M*grp_diger_vy) else 0 END+case when (_5M*grp_diger_vy)-(_6M*grp_diger_vy) > 0 THEN (_5M*grp_diger_vy)-(_6M*grp_diger_vy) else 0 END) AS _6M_grp_diger_vy_OPN
,sum(case when (_1M*grp_vdli_vy)-(_2M*grp_vdli_vy) > 0 THEN (_1M*grp_vdli_vy)-(_2M*grp_vdli_vy) else 0 END+case when (_2M*grp_vdli_vy)-(_3M*grp_vdli_vy) > 0 THEN (_2M*grp_vdli_vy)-(_3M*grp_vdli_vy) else 0 END+case when (_3M*grp_vdli_vy)-(_4M*grp_vdli_vy) > 0 THEN (_3M*grp_vdli_vy)-(_4M*grp_vdli_vy) else 0 END+case when (_4M*grp_vdli_vy)-(_5M*grp_vdli_vy) > 0 THEN (_4M*grp_vdli_vy)-(_5M*grp_vdli_vy) else 0 END+case when (_5M*grp_vdli_vy)-(_6M*grp_vdli_vy) > 0 THEN (_5M*grp_vdli_vy)-(_6M*grp_vdli_vy) else 0 END) AS _6M_grp_vdli_vy_OPN
,sum(case when (_1M*grp_vdsz_vy)-(_2M*grp_vdsz_vy) > 0 THEN (_1M*grp_vdsz_vy)-(_2M*grp_vdsz_vy) else 0 END+case when (_2M*grp_vdsz_vy)-(_3M*grp_vdsz_vy) > 0 THEN (_2M*grp_vdsz_vy)-(_3M*grp_vdsz_vy) else 0 END+case when (_3M*grp_vdsz_vy)-(_4M*grp_vdsz_vy) > 0 THEN (_3M*grp_vdsz_vy)-(_4M*grp_vdsz_vy) else 0 END+case when (_4M*grp_vdsz_vy)-(_5M*grp_vdsz_vy) > 0 THEN (_4M*grp_vdsz_vy)-(_5M*grp_vdsz_vy) else 0 END+case when (_5M*grp_vdsz_vy)-(_6M*grp_vdsz_vy) > 0 THEN (_5M*grp_vdsz_vy)-(_6M*grp_vdsz_vy) else 0 END) AS _6M_grp_vdsz_vy_OPN
,sum(case when (_1M*grp_yat_vy)-(_2M*grp_yat_vy) > 0 THEN (_1M*grp_yat_vy)-(_2M*grp_yat_vy) else 0 END+case when (_2M*grp_yat_vy)-(_3M*grp_yat_vy) > 0 THEN (_2M*grp_yat_vy)-(_3M*grp_yat_vy) else 0 END+case when (_3M*grp_yat_vy)-(_4M*grp_yat_vy) > 0 THEN (_3M*grp_yat_vy)-(_4M*grp_yat_vy) else 0 END+case when (_4M*grp_yat_vy)-(_5M*grp_yat_vy) > 0 THEN (_4M*grp_yat_vy)-(_5M*grp_yat_vy) else 0 END+case when (_5M*grp_yat_vy)-(_6M*grp_yat_vy) > 0 THEN (_5M*grp_yat_vy)-(_6M*grp_yat_vy) else 0 END) AS _6M_grp_yat_vy_OPN
,sum(case when (_1M*grp_nakdi_krd_vy)-(_2M*grp_nakdi_krd_vy) > 0 THEN (_1M*grp_nakdi_krd_vy)-(_2M*grp_nakdi_krd_vy) else 0 END+case when (_2M*grp_nakdi_krd_vy)-(_3M*grp_nakdi_krd_vy) > 0 THEN (_2M*grp_nakdi_krd_vy)-(_3M*grp_nakdi_krd_vy) else 0 END+case when (_3M*grp_nakdi_krd_vy)-(_4M*grp_nakdi_krd_vy) > 0 THEN (_3M*grp_nakdi_krd_vy)-(_4M*grp_nakdi_krd_vy) else 0 END+case when (_4M*grp_nakdi_krd_vy)-(_5M*grp_nakdi_krd_vy) > 0 THEN (_4M*grp_nakdi_krd_vy)-(_5M*grp_nakdi_krd_vy) else 0 END+case when (_5M*grp_nakdi_krd_vy)-(_6M*grp_nakdi_krd_vy) > 0 THEN (_5M*grp_nakdi_krd_vy)-(_6M*grp_nakdi_krd_vy) else 0 END) AS _6M_grp_nakdi_krd_vy_OPN
,sum(case when (_1M*grp_gnakdi_krd_vy)-(_2M*grp_gnakdi_krd_vy) > 0 THEN (_1M*grp_gnakdi_krd_vy)-(_2M*grp_gnakdi_krd_vy) else 0 END+case when (_2M*grp_gnakdi_krd_vy)-(_3M*grp_gnakdi_krd_vy) > 0 THEN (_2M*grp_gnakdi_krd_vy)-(_3M*grp_gnakdi_krd_vy) else 0 END+case when (_3M*grp_gnakdi_krd_vy)-(_4M*grp_gnakdi_krd_vy) > 0 THEN (_3M*grp_gnakdi_krd_vy)-(_4M*grp_gnakdi_krd_vy) else 0 END+case when (_4M*grp_gnakdi_krd_vy)-(_5M*grp_gnakdi_krd_vy) > 0 THEN (_4M*grp_gnakdi_krd_vy)-(_5M*grp_gnakdi_krd_vy) else 0 END+case when (_5M*grp_gnakdi_krd_vy)-(_6M*grp_gnakdi_krd_vy) > 0 THEN (_5M*grp_gnakdi_krd_vy)-(_6M*grp_gnakdi_krd_vy) else 0 END) AS _6M_grp_gnakdi_krd_vy_OPN
,sum(case when (_1M*grp_nyb_vy)-(_2M*grp_nyb_vy) > 0 THEN (_1M*grp_nyb_vy)-(_2M*grp_nyb_vy) else 0 END+case when (_2M*grp_nyb_vy)-(_3M*grp_nyb_vy) > 0 THEN (_2M*grp_nyb_vy)-(_3M*grp_nyb_vy) else 0 END+case when (_3M*grp_nyb_vy)-(_4M*grp_nyb_vy) > 0 THEN (_3M*grp_nyb_vy)-(_4M*grp_nyb_vy) else 0 END+case when (_4M*grp_nyb_vy)-(_5M*grp_nyb_vy) > 0 THEN (_4M*grp_nyb_vy)-(_5M*grp_nyb_vy) else 0 END+case when (_5M*grp_nyb_vy)-(_6M*grp_nyb_vy) > 0 THEN (_5M*grp_nyb_vy)-(_6M*grp_nyb_vy) else 0 END) AS _6M_grp_nyb_vy_OPN
,sum(case when (_1M*grp_cepteteb_vy)-(_2M*grp_cepteteb_vy) > 0 THEN (_1M*grp_cepteteb_vy)-(_2M*grp_cepteteb_vy) else 0 END+case when (_2M*grp_cepteteb_vy)-(_3M*grp_cepteteb_vy) > 0 THEN (_2M*grp_cepteteb_vy)-(_3M*grp_cepteteb_vy) else 0 END+case when (_3M*grp_cepteteb_vy)-(_4M*grp_cepteteb_vy) > 0 THEN (_3M*grp_cepteteb_vy)-(_4M*grp_cepteteb_vy) else 0 END+case when (_4M*grp_cepteteb_vy)-(_5M*grp_cepteteb_vy) > 0 THEN (_4M*grp_cepteteb_vy)-(_5M*grp_cepteteb_vy) else 0 END+case when (_5M*grp_cepteteb_vy)-(_6M*grp_cepteteb_vy) > 0 THEN (_5M*grp_cepteteb_vy)-(_6M*grp_cepteteb_vy) else 0 END) AS _6M_grp_cepteteb_vy_OPN

,sum(case when (_1M*grp_adk_vy)-(_2M*grp_adk_vy) < 0 THEN (_1M*grp_adk_vy)-(_2M*grp_adk_vy) else 0 END+case when (_2M*grp_adk_vy)-(_3M*grp_adk_vy) < 0 THEN (_2M*grp_adk_vy)-(_3M*grp_adk_vy) else 0 END+case when (_3M*grp_adk_vy)-(_4M*grp_adk_vy) < 0 THEN (_3M*grp_adk_vy)-(_4M*grp_adk_vy) else 0 END+case when (_4M*grp_adk_vy)-(_5M*grp_adk_vy) < 0 THEN (_4M*grp_adk_vy)-(_5M*grp_adk_vy) else 0 END+case when (_5M*grp_adk_vy)-(_6M*grp_adk_vy) < 0 THEN (_5M*grp_adk_vy)-(_6M*grp_adk_vy) else 0 END) AS _6M_grp_adk_vy_CLS
,sum(case when (_1M*grp_diger_vy)-(_2M*grp_diger_vy) < 0 THEN (_1M*grp_diger_vy)-(_2M*grp_diger_vy) else 0 END+case when (_2M*grp_diger_vy)-(_3M*grp_diger_vy) < 0 THEN (_2M*grp_diger_vy)-(_3M*grp_diger_vy) else 0 END+case when (_3M*grp_diger_vy)-(_4M*grp_diger_vy) < 0 THEN (_3M*grp_diger_vy)-(_4M*grp_diger_vy) else 0 END+case when (_4M*grp_diger_vy)-(_5M*grp_diger_vy) < 0 THEN (_4M*grp_diger_vy)-(_5M*grp_diger_vy) else 0 END+case when (_5M*grp_diger_vy)-(_6M*grp_diger_vy) < 0 THEN (_5M*grp_diger_vy)-(_6M*grp_diger_vy) else 0 END) AS _6M_grp_diger_vy_CLS
,sum(case when (_1M*grp_vdli_vy)-(_2M*grp_vdli_vy) < 0 THEN (_1M*grp_vdli_vy)-(_2M*grp_vdli_vy) else 0 END+case when (_2M*grp_vdli_vy)-(_3M*grp_vdli_vy) < 0 THEN (_2M*grp_vdli_vy)-(_3M*grp_vdli_vy) else 0 END+case when (_3M*grp_vdli_vy)-(_4M*grp_vdli_vy) < 0 THEN (_3M*grp_vdli_vy)-(_4M*grp_vdli_vy) else 0 END+case when (_4M*grp_vdli_vy)-(_5M*grp_vdli_vy) < 0 THEN (_4M*grp_vdli_vy)-(_5M*grp_vdli_vy) else 0 END+case when (_5M*grp_vdli_vy)-(_6M*grp_vdli_vy) < 0 THEN (_5M*grp_vdli_vy)-(_6M*grp_vdli_vy) else 0 END) AS _6M_grp_vdli_vy_CLS
,sum(case when (_1M*grp_vdsz_vy)-(_2M*grp_vdsz_vy) < 0 THEN (_1M*grp_vdsz_vy)-(_2M*grp_vdsz_vy) else 0 END+case when (_2M*grp_vdsz_vy)-(_3M*grp_vdsz_vy) < 0 THEN (_2M*grp_vdsz_vy)-(_3M*grp_vdsz_vy) else 0 END+case when (_3M*grp_vdsz_vy)-(_4M*grp_vdsz_vy) < 0 THEN (_3M*grp_vdsz_vy)-(_4M*grp_vdsz_vy) else 0 END+case when (_4M*grp_vdsz_vy)-(_5M*grp_vdsz_vy) < 0 THEN (_4M*grp_vdsz_vy)-(_5M*grp_vdsz_vy) else 0 END+case when (_5M*grp_vdsz_vy)-(_6M*grp_vdsz_vy) < 0 THEN (_5M*grp_vdsz_vy)-(_6M*grp_vdsz_vy) else 0 END) AS _6M_grp_vdsz_vy_CLS
,sum(case when (_1M*grp_yat_vy)-(_2M*grp_yat_vy) < 0 THEN (_1M*grp_yat_vy)-(_2M*grp_yat_vy) else 0 END+case when (_2M*grp_yat_vy)-(_3M*grp_yat_vy) < 0 THEN (_2M*grp_yat_vy)-(_3M*grp_yat_vy) else 0 END+case when (_3M*grp_yat_vy)-(_4M*grp_yat_vy) < 0 THEN (_3M*grp_yat_vy)-(_4M*grp_yat_vy) else 0 END+case when (_4M*grp_yat_vy)-(_5M*grp_yat_vy) < 0 THEN (_4M*grp_yat_vy)-(_5M*grp_yat_vy) else 0 END+case when (_5M*grp_yat_vy)-(_6M*grp_yat_vy) < 0 THEN (_5M*grp_yat_vy)-(_6M*grp_yat_vy) else 0 END) AS _6M_grp_yat_vy_CLS
,sum(case when (_1M*grp_nakdi_krd_vy)-(_2M*grp_nakdi_krd_vy) < 0 THEN (_1M*grp_nakdi_krd_vy)-(_2M*grp_nakdi_krd_vy) else 0 END+case when (_2M*grp_nakdi_krd_vy)-(_3M*grp_nakdi_krd_vy) < 0 THEN (_2M*grp_nakdi_krd_vy)-(_3M*grp_nakdi_krd_vy) else 0 END+case when (_3M*grp_nakdi_krd_vy)-(_4M*grp_nakdi_krd_vy) < 0 THEN (_3M*grp_nakdi_krd_vy)-(_4M*grp_nakdi_krd_vy) else 0 END+case when (_4M*grp_nakdi_krd_vy)-(_5M*grp_nakdi_krd_vy) < 0 THEN (_4M*grp_nakdi_krd_vy)-(_5M*grp_nakdi_krd_vy) else 0 END+case when (_5M*grp_nakdi_krd_vy)-(_6M*grp_nakdi_krd_vy) < 0 THEN (_5M*grp_nakdi_krd_vy)-(_6M*grp_nakdi_krd_vy) else 0 END) AS _6M_grp_nakdi_krd_vy_CLS
,sum(case when (_1M*grp_gnakdi_krd_vy)-(_2M*grp_gnakdi_krd_vy) < 0 THEN (_1M*grp_gnakdi_krd_vy)-(_2M*grp_gnakdi_krd_vy) else 0 END+case when (_2M*grp_gnakdi_krd_vy)-(_3M*grp_gnakdi_krd_vy) < 0 THEN (_2M*grp_gnakdi_krd_vy)-(_3M*grp_gnakdi_krd_vy) else 0 END+case when (_3M*grp_gnakdi_krd_vy)-(_4M*grp_gnakdi_krd_vy) < 0 THEN (_3M*grp_gnakdi_krd_vy)-(_4M*grp_gnakdi_krd_vy) else 0 END+case when (_4M*grp_gnakdi_krd_vy)-(_5M*grp_gnakdi_krd_vy) < 0 THEN (_4M*grp_gnakdi_krd_vy)-(_5M*grp_gnakdi_krd_vy) else 0 END+case when (_5M*grp_gnakdi_krd_vy)-(_6M*grp_gnakdi_krd_vy) < 0 THEN (_5M*grp_gnakdi_krd_vy)-(_6M*grp_gnakdi_krd_vy) else 0 END) AS _6M_grp_gnakdi_krd_vy_CLS
,sum(case when (_1M*grp_nyb_vy)-(_2M*grp_nyb_vy) < 0 THEN (_1M*grp_nyb_vy)-(_2M*grp_nyb_vy) else 0 END+case when (_2M*grp_nyb_vy)-(_3M*grp_nyb_vy) < 0 THEN (_2M*grp_nyb_vy)-(_3M*grp_nyb_vy) else 0 END+case when (_3M*grp_nyb_vy)-(_4M*grp_nyb_vy) < 0 THEN (_3M*grp_nyb_vy)-(_4M*grp_nyb_vy) else 0 END+case when (_4M*grp_nyb_vy)-(_5M*grp_nyb_vy) < 0 THEN (_4M*grp_nyb_vy)-(_5M*grp_nyb_vy) else 0 END+case when (_5M*grp_nyb_vy)-(_6M*grp_nyb_vy) < 0 THEN (_5M*grp_nyb_vy)-(_6M*grp_nyb_vy) else 0 END) AS _6M_grp_nyb_vy_CLS
,sum(case when (_1M*grp_cepteteb_vy)-(_2M*grp_cepteteb_vy) < 0 THEN (_1M*grp_cepteteb_vy)-(_2M*grp_cepteteb_vy) else 0 END+case when (_2M*grp_cepteteb_vy)-(_3M*grp_cepteteb_vy) < 0 THEN (_2M*grp_cepteteb_vy)-(_3M*grp_cepteteb_vy) else 0 END+case when (_3M*grp_cepteteb_vy)-(_4M*grp_cepteteb_vy) < 0 THEN (_3M*grp_cepteteb_vy)-(_4M*grp_cepteteb_vy) else 0 END+case when (_4M*grp_cepteteb_vy)-(_5M*grp_cepteteb_vy) < 0 THEN (_4M*grp_cepteteb_vy)-(_5M*grp_cepteteb_vy) else 0 END+case when (_5M*grp_cepteteb_vy)-(_6M*grp_cepteteb_vy) < 0 THEN (_5M*grp_cepteteb_vy)-(_6M*grp_cepteteb_vy) else 0 END) AS _6M_grp_cepteteb_vy_CLS


FROM
	(select
	DT.cust_id
	,DT.card_id
	,DT.stmt_dt
	,DT.target
	
	,CASE WHEN AC.TARIH_ID BETWEEN DT.STMT_DT - INTEGER '31' AND DT.STMT_DT THEN 1 ELSE 0 END AS _L1M
	,CASE WHEN AC.TARIH_ID BETWEEN DT.STMT_DT - INTEGER '92' AND DT.STMT_DT THEN 1 ELSE 0 END AS _L3M
	,CASE WHEN AC.TARIH_ID BETWEEN DT.STMT_DT - INTEGER '184' AND DT.STMT_DT THEN 1 ELSE 0 END AS _L6M
	
	,CASE WHEN AC.TARIH_ID BETWEEN DT.STMT_DT - INTEGER '30' AND DT.STMT_DT THEN 1 ELSE 0 END AS _1M
	,CASE WHEN AC.TARIH_ID BETWEEN DT.STMT_DT - INTEGER '61' AND DT.STMT_DT - INTEGER '31' THEN 1 ELSE 0 END AS _2M
	,CASE WHEN AC.TARIH_ID BETWEEN DT.STMT_DT - INTEGER '91' AND DT.STMT_DT - INTEGER '62' THEN 1 ELSE 0 END AS _3M
	,CASE WHEN AC.TARIH_ID BETWEEN DT.STMT_DT - INTEGER '122' AND DT.STMT_DT - INTEGER '92' THEN 1 ELSE 0 END AS _4M
	,CASE WHEN AC.TARIH_ID BETWEEN DT.STMT_DT - INTEGER '153' AND DT.STMT_DT - INTEGER '123' THEN 1 ELSE 0 END AS _5M
	,CASE WHEN AC.TARIH_ID BETWEEN DT.STMT_DT - INTEGER '184' AND DT.STMT_DT - INTEGER '154' THEN 1 ELSE 0 END AS _6M
	
	,musteri_aktif
	,grp_adk_aktif
	,grp_diger_aktif
	,grp_vdli_aktif
	,grp_vdsz_aktif
	,grp_yat_aktif
	,grp_nakdi_krd_aktif
	,grp_gnakdi_krd_aktif
	,grp_nyb_aktif
	,grp_cepteteb_aktif
	
	,grp_adk_vy
	,grp_diger_vy
	,grp_vdli_vy
	,grp_vdsz_vy
	,grp_yat_vy
	,grp_nakdi_krd_vy
	,grp_gnakdi_krd_vy
	,grp_nyb_vy
	,grp_cepteteb_vy
	
	FROM
	RISK.CUST_DT_DUMMY AS DT
	LEFT OUTER JOIN
	risk.account_status_new AS AC
	ON
	AC.CMUSNO = DT.cust_id
	AND
	AC.TARIH_ID <= DT.stmt_dt) as INNER_TABLE
GROUP BY 1,2,3,4
);

GRANT ALL ON RISK.blm_account_status TO PUBLIC;
ANALYZE RISK.blm_account_status;
