SELECT
	CUST_ID
	,COALESCE(MAX(
			CASE
				WHEN YR_MNTH 
					BETWEEN STMT_DT - INTEGER '31' AND STMT_DT
				THEN PCT_MNTH
			END
		),0) _1M_OVD_LIMIT_UT


	,COALESCE(MAX(
			CASE
				WHEN YR_MNTH 
					BETWEEN STMT_DT - INTEGER '185' AND STMT_DT
				THEN PCT_MNTH
			END
		),0) _6M_OVD_LIMIT_UT
FROM
(
	SELECT 
	 	DT.CUST_ID
	 	,OVD.YR_MNTH
	 	,DT.STMT_DT
		,((OVD.OVD_LMT_UTL)*-1)/OVD.OVD_LMT   PCT_MNTH
	FROM
	 RISK.OVD_STS_CR AS OVD
	 INNER JOIN 
	 (
	 	SELECT 
	 		CUST_ID
	 		,MAX(STMT_DT) AS STMT_DT
	 	FROM RISK.CUST_DT_DUMMY
	 	GROUP BY 1
	 	
	 ) AS DT
	 	ON OVD.CUST_ID = DT.CUST_ID
	 WHERE YR_MNTH BETWEEN '2017-01-01' AND '2018-02-01'
	
 )RES
 GROUP BY 1
 ;