DROP TABLE IF EXISTS risk.INSR_INFO_CR;

CREATE ANALYTIC TABLE risk.INSR_INFO_CR
DISTRIBUTE BY hash (cust_id)
AS
select  
cmusno as cust_id,
tarih_id as DT,
tanzim_tarih as DT_OF_ISSUE,
cari_pol_no as policy_no,--policy number
pol_bas_tar as pol_amt_dt,--policy start date
pol_bit_tar as AMT_DUE_DT, --policy end date
tarife_adi as INSR_TYPE_KEY, --insurance policy type
toplam_borc as PMT_AMT, -- total amount
odenen_tutar as PAID_PMT_AMT, -- paid amount
kalan_tutar as PMT_DUE_AMT,-- remaining amount 
police_durum as pol_stat-- policy status (new:YENI, renewYENILEME, changed:ZEYL, cancelled:IPTAL)

from dw_out.dwf_sigorta_police ;
GRANT ALL ON risk.INSR_INFO_CR TO PUBLIC;
