--OVD_STATUS tablosu oluşturma kodu;

DROP TABLE IF EXISTS risk.ovd_sts_cr; 
CREATE TABLE risk.ovd_sts_cr() -- OVerDraft STaTus CuRrent
DISTRIBUTE BY HASH(cust_id) AS
( 								
SELECT 	cmusno as cust_id
		,tarih_id	AS YR_MNTH
		,KMH_LIMIT	AS OVD_Lmt
		,KMH_RISK	AS OVD_Lmt_Utl
		,KMH_AY_TL_ORT_BOLUNMEMIS as OVD_Lmt_Utl_Avg_Monthly -- KAÇA BÖLÜYORUZ NASIL HESAPLANIYOR ONA BİR BAK. IT YE SOR.
FROM 	staging.pov_dwf_kon_varlik
WHERE	KMH_LIMIT > 0.00
LIMIT	10
);


--OVD_STATUS DAILY kodu;

DROP TABLE IF EXISTS risk.ovd_sts_cr_daily;  -- created by gizem
CREATE TABLE risk.ovd_sts_cr_daily() -- OVerDraft STaTus CuRrent
DISTRIBUTE BY HASH(cust_id) AS
( 								
SELECT 	cust_id,
		tarih	AS YR_MNTH,
		status,
		sum_balance	AS OVD_Daily_Blnc
FROM 	risk.kesit_fil
WHERE	product_name='OVD' -- for OVD table
);
GRANT ALL ON risk.ovd_sts_cr_daily to public;
