

---------------------------------------------------------------- part1
DROP TABLE IF EXISTS risk.temp_kart1;
CREATE ANALYTIC TABLE risk.temp_kart DISTRIBUTE BY HASH(cust_id) AS
SELECT d_cmusno as cust_id, 
	   kartno as card_id,
	   musterino,
	   CAST(tarih_id as DATE) as tarih_id 
FROM dw_out.dwd_kart
where tarih_id between '2015-09-30' AND '2016-02-29';/*tarih güncellenecek*/

GRANT ALL ON risk.temp_kart1 to public;


DROP TABLE IF EXISTS risk.temp_kart_fill1;
create table risk.temp_kart_fill1 DISTRIBUTE	BY HASH(cust_id) AS
select 	kart.*,
		stmt.*
from "risk"."temp_kart1" kart
left join risk.temp_kredi1 stmt on kart.musterino =  stmt.ss_account and 
		  kart.tarih_id = stmt.as_of_dt
where 
;

---------------------------------------------------------------- part2
DROP TABLE IF EXISTS risk.temp_kart2;
CREATE ANALYTIC TABLE risk.temp_kart DISTRIBUTE BY HASH(cust_id) AS
SELECT d_cmusno as cust_id, 
	   kartno as card_id,
	   musterino,
	   CAST(tarih_id as DATE) as tarih_id 
FROM dw_out.dwd_kart
where tarih_id between '2015-09-30' AND '2016-02-29';/*tarih güncellenecek*/

GRANT ALL ON risk.temp_kart2 to public;


DROP TABLE IF EXISTS risk.temp_kart_fill2;
create table risk.temp_kart_fill2 DISTRIBUTE	BY HASH(cust_id) AS
select 	kart.*,
		stmt.*
from "risk"."temp_kart2" kart
left join risk.temp_kredi2 stmt on kart.musterino =  stmt.ss_account and 
		  kart.tarih_id = stmt.as_of_dt
where 
;

---------------------------------------------------------------- part3
DROP TABLE IF EXISTS risk.temp_kart3;
CREATE ANALYTIC TABLE risk.temp_kart DISTRIBUTE BY HASH(cust_id) AS
SELECT d_cmusno as cust_id, 
	   kartno as card_id,
	   musterino,
	   CAST(tarih_id as DATE) as tarih_id 
FROM dw_out.dwd_kart
where tarih_id between '2015-09-30' AND '2016-02-29';/*tarih güncellenecek*/

GRANT ALL ON risk.temp_kart3 to public;


DROP TABLE IF EXISTS risk.temp_kart_fill3;
create table risk.temp_kart_fill3 DISTRIBUTE	BY HASH(cust_id) AS
select 	kart.*,
		stmt.*
from "risk"."temp_kart3" kart
left join risk.temp_kredi1 stmt on kart.musterino =  stmt.ss_account and 
		  kart.tarih_id = stmt.as_of_dt
where 
;

---------------------------------------------------------------- part4
DROP TABLE IF EXISTS risk.temp_kart4;
CREATE ANALYTIC TABLE risk.temp_kart DISTRIBUTE BY HASH(cust_id) AS
SELECT d_cmusno as cust_id, 
	   kartno as card_id,
	   musterino,
	   CAST(tarih_id as DATE) as tarih_id 
FROM dw_out.dwd_kart
where tarih_id between '2015-09-30' AND '2016-02-29';/*tarih güncellenecek*/

GRANT ALL ON risk.temp_kart4 to public;


DROP TABLE IF EXISTS risk.temp_kart_fill4;
create table risk.temp_kart_fill4 DISTRIBUTE	BY HASH(cust_id) AS
select 	kart.*,
		stmt.*
from "risk"."temp_kart4" kart
left join risk.temp_kredi1 stmt on kart.musterino =  stmt.ss_account and 
		  kart.tarih_id = stmt.as_of_dt
where 
;

---------------------------------------------------------------- part5
DROP TABLE IF EXISTS risk.temp_kart5;
CREATE ANALYTIC TABLE risk.temp_kart DISTRIBUTE BY HASH(cust_id) AS
SELECT d_cmusno as cust_id, 
	   kartno as card_id,
	   musterino,
	   CAST(tarih_id as DATE) as tarih_id 
FROM dw_out.dwd_kart
where tarih_id between '2015-09-30' AND '2016-02-29';/*tarih güncellenecek*/

GRANT ALL ON risk.temp_kart5 to public;


DROP TABLE IF EXISTS risk.temp_kart_fill5;
create table risk.temp_kart_fill5 DISTRIBUTE	BY HASH(cust_id) AS
select 	kart.*,
		stmt.*
from "risk"."temp_kart5" kart
left join risk.temp_kredi1 stmt on kart.musterino =  stmt.ss_account and 
		  kart.tarih_id = stmt.as_of_dt
where 
;

---------------------------------------------------------------- part6
DROP TABLE IF EXISTS risk.temp_kart6;
CREATE ANALYTIC TABLE risk.temp_kart DISTRIBUTE BY HASH(cust_id) AS
SELECT d_cmusno as cust_id, 
	   kartno as card_id,
	   musterino,
	   CAST(tarih_id as DATE) as tarih_id 
FROM dw_out.dwd_kart
where tarih_id between '2015-09-30' AND '2016-02-29';/*tarih güncellenecek*/

GRANT ALL ON risk.temp_kart6 to public;


DROP TABLE IF EXISTS risk.temp_kart_fill6;
create table risk.temp_kart_fill6 DISTRIBUTE	BY HASH(cust_id) AS
select 	kart.*,
		stmt.*
from "risk"."temp_kart6" kart
left join risk.temp_kredi1 stmt on kart.musterino =  stmt.ss_account and 
		  kart.tarih_id = stmt.as_of_dt
where 
;


DROP TABLE risk.temp_kart1;
DROP TABLE risk.temp_kart2;
DROP TABLE risk.temp_kart3;
DROP TABLE risk.temp_kart4;
DROP TABLE risk.temp_kart5;
DROP TABLE risk.temp_kart6;