﻿--Merchant segment tablosu oluşturma / Her ay için ayrı ayrı oluşturup append edilecek. Toplu şekilde alamadık uzun sürüyor.
/*
drop table if exists KOMTAS.TMP_ACTV_CARD ;

CREATE ANALYTIC TABLE KOMTAS.TMP_ACTV_CARD
AS
SELECT b.d_cmusno as cust_id, kartno FROM
                    STAGING.POV_DWD_KART b                 
                           where
                                  b.d_cmusno is not null and
                                  D_KREDIDEBIT='C' 
                                  and tarih_id= to_date('30 11 2015','DD MM YYYY');



insert into risk.merchant_segment_table
SELECT 
       cust_id, 
       card_id, 
       trx_date, 
       merchant_id, 
       currency, 
       SUM(trx_amt_tl) trx_amt_tl, 
       SUM(trx_amt_fx) trx_amt_fx, 
       SUM(trx_amt_dollar) trx_amt_dollar, 
       COUNT(trx_cnt) trx_cnt, 
       ecommerce_flg, 
       city, 
       country, 
       postponed_pay_flg ,
       late_istallment_flg,
       otc,
       ots,
       islemkodu,
       islemsubkodu
FROM( 
             select 
                    cust_id, 
                    a.kartno AS card_id,  
                    a.islemtarih as trx_date,  
                    a.merchantcategory as merchant_id,
                    a.islemparabirimi as currency,
                    a.islemtutariyi as trx_amt_tl,
                    a.islemtutariorg as trx_amt_fx,
                    a.islemtutariyd as trx_amt_dollar,
                    islem_id as trx_cnt,
                    case when a.harekettermtipi='4' then 1 else 0 end as ecommerce_flg,
                    a.merchcity as city,
                    a.ulke as country,
                    a.otelemestat as postponed_pay_flg,
                    CASE WHEN a.OTC=1101 AND a.OTS=1000 THEN 1 ELSE 0 END AS late_istallment_flg,
                    a.otc,
                    a.ots,
                    a.islemkodu,
                    a.islemsubkodu
             from 
                    STAGING.POV_DWF_KART_HARBILGI a 
                    inner join 
                    risk.ref_cc_trx lp on a.otc=lp.otc and a.ots=lp.ots and a.islemkodu=lp.islemkodu and
                                                      a.islemsubkodu=lp.islemsubkodu and merchant_seg_flg=1
                    inner join   
                    KOMTAS.TMP_ACTV_CARD B on a.kartno=b.kartno
                    where tarih_id>= to_date('01 11 2015','DD MM YYYY')
                    and   tarih_id<= to_date('30 11 2015','DD MM YYYY')
       ) A GROUP BY 
             cust_id, card_id, trx_date, merchant_id, currency, ecommerce_flg, 
             city, country, postponed_pay_flg, late_istallment_flg, otc, ots, islemkodu, islemsubkodu
             ;


From: GIZEM OZDEN - Analitik CRM Yoneticisi 
Sent: Friday, August 3, 2018 3:37 PM
To: GIZEM OZDEN - Analitik CRM Yoneticisi <gizem.ozden@teb.com.tr>
Subject: Bilgi: MERCHANT_SEGMENT_TABLE create script

CREATE ANALYTIC TABLE KOMTAS.TMP_ACTV_CARD
AS
SELECT b.d_cmusno as cust_id, kartno FROM
                    STAGING.POV_DWD_KART b                 
                           where
                                  b.d_cmusno is not null and
                                  D_KREDIDEBIT='C' AND 
                                  D_GECERLI_EH='E' AND
                                  KAYITGECERLI='Y' AND
                                  IS_EXPIRED='N' AND
                                  KARTALTSTATU is null;



create table risk.merchant_segment_table
distribute by hash (cust_id)
as ( 
SELECT 
       cust_id, 
       card_id, 
       trx_date, 
       merchant_id, 
       currency, 
       SUM(trx_amt_tl) trx_amt_tl, 
       SUM(trx_amt_fx) trx_amt_fx, 
       SUM(trx_amt_dollar) trx_amt_dollar, 
       COUNT(trx_cnt) trx_cnt, 
       ecommerce_flg, 
       city, 
       country, 
       postponed_pay_flg ,
       late_istallment_flg,
       otc,
       ots,
       islemkodu,
       islemsubkodu
FROM( 
             select 
                    cust_id, 
                    a.kartno AS card_id,  
                    a.islemtarih as trx_date,  
                    a.merchantcategory as merchant_id,
                    a.islemparabirimi as currency,
                    a.islemtutariyi as trx_amt_tl,
                    a.islemtutariorg as trx_amt_fx,
                    a.islemtutariyd as trx_amt_dollar,
                    islem_id as trx_cnt,
                    case when a.harekettermtipi='4' then 1 else 0 end as ecommerce_flg,
                    a.merchcity as city,
                    a.ulke as country,
                    a.otelemestat as postponed_pay_flg,
                    CASE WHEN a.OTC=1101 AND a.OTS=1000 THEN 1 ELSE 0 END AS late_istallment_flg,
                    a.otc,
                    a.ots,
                    a.islemkodu,
                    a.islemsubkodu
             from 
                    STAGING.POV_DWF_KART_HARBILGI a 
                    inner join 
                    risk.ref_cc_trx lp on a.otc=lp.otc and a.ots=lp.ots and a.islemkodu=lp.islemkodu and
                                                      a.islemsubkodu=lp.islemsubkodu and merchant_seg_flg=1
                    inner join   
                    KOMTAS.TMP_ACTV_CARD B on a.kartno=b.kartno
       ) A GROUP BY 
             cust_id, card_id, trx_date, merchant_id, currency, ecommerce_flg, 
             city, country, postponed_pay_flg, late_istallment_flg, otc, ots, islemkodu, islemsubkodu
             );

*/
------------------------------------------------------------------------------------------------------------------------------------
/* MERCHANT_SEGMENT_TABLE LAST VERSION */

drop table if exists risk.TMP_ACTV_CARD;
CREATE ANALYTIC TABLE risk.TMP_ACTV_CARD compress
AS
SELECT b.d_cmusno as cust_id, kartno, tarih_id  FROM
                    STAGING.POV_DWD_KART b                 
                           where
                                  b.d_cmusno is not null and
                                  D_KREDIDEBIT='C' AND 
                                  D_GECERLI_EH='E' AND
                                  KAYITGECERLI='Y' AND
                                  IS_EXPIRED='N' AND
                                  KARTALTSTATU is null;

grant all on risk.TMP_ACTV_CARD to public;


drop table if exists risk.merchant_segment_table_v2;
create table risk.merchant_segment_table_v2
distribute by hash (cust_id)
compress
as ( 
SELECT 
       cust_id, 
       card_id, 
       trx_date, 
       merchant_id, 
       currency, 
       SUM(trx_amt_tl) trx_amt_tl, 
       SUM(trx_amt_fx) trx_amt_fx, 
       SUM(trx_amt_dollar) trx_amt_dollar, 
       COUNT(trx_cnt) trx_cnt, 
       ecommerce_flg, 
       city, 
       country, 
       postponed_pay_flg ,
       late_instalment_flg,
       otc,
       ots,
       islemkodu,
       islemsubkodu
FROM( 
		select b.cust_id,
			   a.*
		from
	             (
	             select 
	                    kartno AS card_id,  
	                    islemtarih as trx_date,  
	                    merchantcategory as merchant_id,
	                    islemparabirimi as currency,
	                    islemtutariyi as trx_amt_tl,
	                    islemtutariorg as trx_amt_fx,
	                    islemtutariyd as trx_amt_dollar,
	                    islem_id as trx_cnt,
	                    case when harekettermtipi='4' then 1 else 0 end as ecommerce_flg,
	                    merchcity as city,
	                    ulke as country,
	                    otelemestat as postponed_pay_flg,
	                    CASE WHEN OTC=10 AND OTS=1102 THEN 1 ELSE 0 END AS late_instalment_flg,
				        otc,
				        ots,
				        case when islemkodu is null or islemkodu = ' ' then 'NULL' else islemkodu end as islemkodu,
				        --islemkodu,
				        case when islemsubkodu is null or islemsubkodu = ' ' then 'NULL' else islemsubkodu end as islemsubkodu
	             from 
	                    STAGING.POV_DWF_KART_HARBILGI 
	             ) a 
	    inner join 
	          risk.ref_cc_trx lp on a.otc=lp.otc 
	                    		 and a.ots=lp.ots and a.islemkodu=lp.islemkodu 
	                    		 and a.islemsubkodu=lp.islemsubkodu and lp.merchant_seg_flag=1
	    inner join   
	          risk.TMP_ACTV_CARD B on a.card_id=b.kartno
								   and last_day(b.tarih_id)>=a.trx_date
								   and date_trunc('month',b.tarih_id)<=a.trx_date
	       ) A 
	       where a.late_instalment_flg=0
	       GROUP BY 
	             cust_id, card_id, trx_date, merchant_id, currency, ecommerce_flg, 
	             city, country, postponed_pay_flg, late_instalment_flg, otc, ots, islemkodu, islemsubkodu
	             );
             
GRANT ALL ON risk.merchant_segment_table_v2 to public;

analyze risk.merchant_segment_table_v2;