SELECT 
	DT.CUST_ID
	,MAX((DT.STMT_DT - CCI.DT_OF_ISSUE)/30.5) AS FIRST_TEB_CARD
	,MIN(
			COALESCE(DT.STMT_DT -
				(CASE 
					WHEN CCI.DT_OF_ISSUE < DT.STMT_DT 
						AND PRIMSUPPVIRT_TYPE = 'PRIM'
						THEN CCI.DT_OF_ISSUE
				END)
			,0)/30.5
		) LAST_PRIM_CC_ISS
	,COUNT(DISTINCT
			CASE 
				WHEN  CCI.DT_OF_ISSUE BETWEEN DT.STMT_DT - INTEGER '180' AND DT.STMT_DT
					THEN CARD_ID
				WHEN DT.STMT_DT - INTEGER '180'  BETWEEN CCI.DT_OF_ISSUE AND COALESCE(CCI.DT_OF_CLSR,'2999-01-01')
					THEN CARD_ID
				ELSE NULL
			END
		)	NUMBER_ACTV_CC_6M		

	,MAX(
			CASE 
				WHEN  PRIMSUPPVIRT_TYPE = 'VIRT' AND CCI.DT_OF_ISSUE BETWEEN DT.STMT_DT - INTEGER '30' AND DT.STMT_DT
					THEN 1
				WHEN PRIMSUPPVIRT_TYPE = 'VIRT' AND DT.STMT_DT - INTEGER '30'  BETWEEN CCI.DT_OF_ISSUE AND COALESCE(CCI.DT_OF_CLSR,'2999-01-01')
					THEN 1
				ELSE 0
			END
		)	HAS_VIRT_CC_1M		
	,MAX(
			CASE 
				WHEN  PRIMSUPPVIRT_TYPE = 'VIRT' AND CCI.DT_OF_ISSUE BETWEEN DT.STMT_DT - INTEGER '180' AND DT.STMT_DT
					THEN 1
				WHEN PRIMSUPPVIRT_TYPE = 'VIRT' AND DT.STMT_DT - INTEGER '180' BETWEEN CCI.DT_OF_ISSUE AND COALESCE(CCI.DT_OF_CLSR,'2999-01-01') 
					THEN 1
				ELSE 0
			END
		)	HAS_VIRT_CC_6M
	,COUNT(DISTINCT
			CASE 
				WHEN  PRIMSUPPVIRT_TYPE = 'VIRT' AND CCI.DT_OF_ISSUE BETWEEN DT.STMT_DT - INTEGER '30' AND DT.STMT_DT
					THEN CARD_ID
				WHEN PRIMSUPPVIRT_TYPE = 'VIRT' AND DT.STMT_DT BETWEEN CCI.DT_OF_ISSUE AND COALESCE(CCI.DT_OF_CLSR,'2999-01-01')
					THEN CARD_ID
				ELSE NULL
			END
		)	CNT_VIRT_CC_1M		
	,COUNT(DISTINCT
			CASE 
				WHEN  PRIMSUPPVIRT_TYPE = 'VIRT' AND CCI.DT_OF_ISSUE BETWEEN DT.STMT_DT - INTEGER '180' AND DT.STMT_DT
					THEN CARD_ID
				WHEN PRIMSUPPVIRT_TYPE = 'VIRT' AND DT.STMT_DT BETWEEN CCI.DT_OF_ISSUE AND COALESCE(CCI.DT_OF_CLSR,'2999-01-01') 
					THEN CARD_ID
				ELSE NULL
			END
		)	CNT_VIRT_CC_6M
	,MAX(

			COALESCE(DT.STMT_DT -
				(CASE 
					WHEN CCI.DT_OF_ISSUE < DT.STMT_DT 
						AND PRIMSUPPVIRT_TYPE = 'SUPP'
						THEN CCI.DT_OF_ISSUE
				END),0)/30.5

		) LAST_SUPP_CC_ISS
	,MAX(
			CASE 
				WHEN DT.STMT_DT - INTEGER '30' BETWEEN CCI.DT_OF_ISSUE AND COALESCE(CCI.DT_OF_CLSR,'2999-01-01') 
					THEN CURR_LIMIT
				ELSE 0
			END
		)	LIMIT_CC_1M	
		,MAX(
			CASE 
				WHEN DT.STMT_DT - INTEGER '180' BETWEEN CCI.DT_OF_ISSUE AND COALESCE(CCI.DT_OF_CLSR,'2999-01-01') 
					THEN CURR_LIMIT
				ELSE 0
			END
		)	LIMIT_CC_6M	
FROM RISK.CUST_CARD_INFO CCI
INNER JOIN 
	(
		SELECT
			CUST_ID
			,MAX(STMT_DT) AS STMT_DT
		FROM RISK.CUST_DT_DUMMY
		GROUP BY 1

	)DT
	ON CCI.CUST_ID = DT.CUST_ID
GROUP BY 1
LIMIT 1000;