 /* result insert
INSERT INTO zeren.event_list
SELECT	cmusno,
'15001' as event_id
tar as event_date
'CUST_INFO' as domain_type
'ADDRESS CHANGE' as event1
'ADDRESS CHANGE' as event2
NULL as event3
NULL as channel_name
FROM ...
*/

CREATE	ANALYTIC TABLE risk.adres_1;
SELECT	count(*)	
FROM	(
SELECT	cmusno, drm, tar,
		enlem as lat1, lag(enlem, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tar) as lat2, 
		boylam as lon1, lag(boylam, 1, NULL) OVER (PARTITION BY cmusno ORDER BY tar) as lon2
FROM	dw_out.cmus_adr
WHERE	REF_ADR_TUR = '1'
) a
WHERE lat2 IS NOT NULL AND lat1 IS NOT NULL --ORDER	BY cmusno, cmusadrno

/* Distance Calculation
a = (sin((lat1-lat2) / 2))^2 + (cos(lat1) * cos(lat2) * sin((lon1-lon2) / 2)^2)
c = 2 * atan2(sqrt(a), sqrt(1-a))
d = 6371 * c
*/