﻿/* COMMENT OUT YAPILMIŞ ALANLAR KAYNAK TABLOYA EKLENMESİ HALİNDE OLUŞTURULACAKLARDIR*/

DROP VIEW IF EXISTS RISK.BUREAU_DATA;
CREATE OR REPLACE VIEW RISK.BUREAU_DATA --kaynaktan as is alındığı için view
AS
select
KKB_LAST_INQ_DATE	,
CMUSNO,
tarih_id,
AUT_050	as	AUT_050_AVG_CC_TRX_L3M	,
AUT_050_1	as	AUT_050_1_AVG_CC_TRX_L3M	,
AUT_051	as	AUT_051_AVG_CC_TRX_L6M	,
AUT_051_1	as	AUT_051_1_AVG_CC_TRX_L6M	,
AUT_053	as	AUT_053_CNT_CC_TRX_L1M	,
AUT_054	as	AUT_054_CNT_CC_TRX_L3M	,
AUT_055	as	AUT_055_CNT_CC_TRX_L6M	,
AUT_057	as	AUT_057_AVG_AMT_CC_TRX_L1M	,
AUT_058	as	AUT_058_AVG_AMT_CC_TRX_L3M	,
AUT_058_1	as	AUT_058_1_AVG_AMT_CC_TRX_L3M	,
AUT_058_2	as	AUT_058_2_AVG_AMT_CC_TRX_L3M	,
AUT_059	as	AUT_059_AVG_AMT_CC_TRX_L6M	,
AUT_059_1	as	AUT_059_1_AVG_AMT_CC_TRX_L6M	,
AUT_059_2	as	AUT_059_2_AVG_AMT_CC_TRX_L6M	,
AUT_061	as	AUT_061_TOT_AMT_CC_TRX_L1M	,
AUT_062	as	AUT_062_TOT_AMT_CC_TRX_L3M	,
AUT_063	as	AUT_063_TOT_AMT_CC_TRX_L6M	,
AUT_065	as	AUT_065_AVG_CNT_C_ADV_TRX_L3M	,
AUT_065_1	as	AUT_065_1_AVG_CNT_C_ADV_TRX_L3M	,
AUT_066	as	AUT_066_AVG_CNT_C_ADV_TRX_L6M	,
AUT_066_1	as	AUT_066_1_AVG_CNT_C_ADV_TRX_L6M	,
AUT_068	as	AUT_068_CNT_C_ADV_TRX_L1M	,
AUT_069	as	AUT_069_CNT_C_ADV_TRX_L3M	,
AUT_070	as	AUT_070_CNT_C_ADV_TRX_L6M	,
AUT_072	as	AUT_072_AVG_AMT_C_ADV_TRX_L1M	,
AUT_073	as	AUT_073_AVG_AMT_C_ADV_TRX_L3M	,
AUT_073_1	as	AUT_073_1_AVG_AMT_C_ADV_TRX_L3M	,
AUT_073_2	as	AUT_073_2_AVG_AMT_C_ADV_TRX_L3M	,
AUT_074	as	AUT_074_AVG_AMT_C_ADV_TRX_L6M	,
AUT_074_1	as	AUT_074_1_AVG_AMT_C_ADV_TRX_L6M	,
AUT_074_2	as	AUT_074_2_AVG_AMT_C_ADV_TRX_L6M	,
AUT_076	as	AUT_076_AMT_C_ADV_TRX_L1M	,
AUT_077	as	AUT_077_AMT_C_ADV_TRX_L3M	,
AUT_078	as	AUT_078_AMT_C_ADV_TRX_L6M	,
AUT_110	as	AUT_110_AVG_CNT_OVD_TRX_L3M	,
AUT_110_1	as	AUT_110_1_AVG_CNT_OVD_TRX_L3M	,
AUT_111	as	AUT_111_AVG_CNT_OVD_TRX_L6M	,
AUT_111_1	as	AUT_111_1_AVG_CNT_OVD_TRX_L6M	,
AUT_113	as	AUT_113_CNT_OVD_TRX_L1M	,
AUT_114	as	AUT_114_CNT_OVD_TRX_L3M	,
AUT_115	as	AUT_115_CNT_OVD_TRX_L6M	,
AUT_117	as	AUT_117_AVG_AMT_OVD_TRX_L1M	,
AUT_118	as	AUT_118_AVG_AMT_OVD_TRX_L3M	,
AUT_118_1	as	AUT_118_1_AVG_AMT_OVD_TRX_L3M	,
AUT_118_2	as	AUT_118_2_AVG_AMT_OVD_TRX_L3M	,
AUT_119	as	AUT_119_AVG_AMT_OVD_TRX_L6M	,
AUT_119_1	as	AUT_119_1_AVG_AMT_OVD_TRX_L6M	,
AUT_119_2	as	AUT_119_2_AVG_AMT_OVD_TRX_L6M	,
AUT_121	as	AUT_121_TOT_AMT_OVD_TRX_L1M	,
AUT_122	as	AUT_122__TOT_AMT_OVD_TRX_L3M	,
AUT_123	as	AUT_123__TOT_AMT_OVD_TRX_L6M	,
CUS_009	as	CUS_009_TOT_INSTAL_AMT_PERS_LOAN	,
CUS_010	as	CUS_010_TOT_INSTAL_AMT_CAR_LOAN	,
CUS_011	as	CUS_011_TOT_INSTAL_AMT_MORTGAGE	,
CUS_012	as	CUS_012_TOT_INSTAL_AMT_RET_LOAN	,
CUS_014	as	CUS_014_AVG_INSTAL_PERS_LOAN_L3M	,
CUS_014_1	as	CUS_014_1_AVG_INSTAL_PERS_LOAN_L3M	,
CUS_014_2	as	CUS_014_2_AVG_INSTAL_PERS_LOAN_L3M	,
CUS_015	as	CUS_015_AVG_INSTAL_CAR_LOAN_L3M	,
CUS_015_1	as	CUS_015_1_AVG_INSTAL_CAR_LOAN_L3M	,
CUS_015_2	as	CUS_015_2_AVG_INSTAL_CAR_LOAN_L3M	,
CUS_016	as	CUS_016_AVG_INSTAL_MORTGAGE_L3M	,
CUS_016_1	as	CUS_016_1_AVG_INSTAL_MORTGAGE_L3M	,
CUS_016_2	as	CUS_016_2_AVG_INSTAL_MORTGAGE_L3M	,
CUS_017	as	CUS_017_AVG_INSTAL_RET_LOAN_L3M	,
CUS_017_1	as	CUS_017_1_AVG_INSTAL_RET_LOAN_L3M	,
CUS_017_2	as	CUS_017_2_AVG_INSTAL_RET_LOAN_L3M	,
CUS_019	as	CUS_019_AVG_INSTAL_PERS_LOAN_L6M	,
CUS_019_1	as	CUS_019_1_AVG_INSTAL_PERS_LOAN_L6M	,
CUS_019_2	as	CUS_019_2_AVG_INSTAL_PERS_LOAN_L6M	,
CUS_020	as	CUS_020_AVG_INSTAL_CAR_LOAN_L6M	,
CUS_020_1	as	CUS_020_1_AVG_INSTAL_CAR_LOAN_L6M	,
CUS_020_2	as	CUS_020_2_AVG_INSTAL_CAR_LOAN_L6M	,
CUS_021	as	CUS_021_AVG_INSTAL_MORTGAGE_L6M	,
CUS_021_1	as	CUS_021_1_AVG_INSTAL_MORTGAGE_L6M	,
CUS_021_2	as	CUS_021_2_AVG_INSTAL_MORTGAGE_L6M	,
CUS_022	as	CUS_022_AVG_INSTAL_OTHER_LOAN_L6M	,
CUS_022_1	as	CUS_022_1_AVG_INSTAL_OTHER_LOAN_L6M	,
CUS_022_2	as	CUS_022_2_AVG_INSTAL_OTHER_LOAN_L6M	,
CUS_034	as	CUS_034_CANCELED_CARD_REASON_CODE	,
CUS_069	as	CUS_069_CREDIT_HUNGER	,
CUS_099	as	CUS_099_CNT_LITIGATED_PROD_EVER_HAD	,
CUS_104	as	CUS_104_MIN_LITIGATION_DATE	,
CUS_105	as	CUS_105_CUST_LITIGATION_FLG	,
KKB_001_1	as	KKB_001_1_AVG_CC_LIMIT_IN_KKB	,
KKB_256	as	KKB_256_KKB_SCORE	,
KKB_257	as	KKB_257_TIME_SINCE_CC_OPEN_DATE	,
KKB_180	as	KKB_180_TOT_MON_INSTAL_AMT_PERS_LOAN_KKB	,
KKB_182	as	KKB_182_TOT_MON_INSTAL_AMT_MORTGAGE_KKB	,
KKB_215	as	KKB_215_CNT_LITIGATED_PROD_KKB_EVER	,
KKB_001	as	KKB_001_TOT_CC_LIMIT_KKB	,
KKB_003	as	KKB_003_TOT_OVD_LIMIT_KKB	,
KKB_031	as	KKB_031_TOT_OUTSTAND_CREDITS_KKB	,
KKB_032	as	KKB_032_TOT_OUTSAND_CC_KKB	,
KKB_038	as	KKB_038_TOT_OUTSTAND_OVD_KKB	,
KKB_040	as	KKB_040_TOT_OUTSTAND_PERS_LOAN_KKB	,
KKB_044	as	KKB_044_TOT_OUTSTAND_MORTGAGE_KKB	,
KKB_051	as	KKB_051_TOT_OUTSTAND_DELINQUENT_RATIO	,
KKB_220	as	KKB_220_TOT_PAY_ALL_PROD_KKB_L1M	,
KKB_227	as	KKB_227_TOT_PAY_CC_KKB_L1M	,
KKB_235	as	KKB_235_TOT_PAY_OVD_KKB_L1M	,
KKB_248	as	KKB_248_CC_FIRST_PAY_ON_TIME_KKB_FLG	,
KKB_249	as	KKB_249_INS_PERS_LOAN_FIRST_PAY_ON_TIME_KKB_FLG	,
KKB_251	as	KKB_251_INS_MORTGAGE_FIRST_PAY_ON_TIME_KKB_FLG	,
KKB_254	as	KKB_254_TOT_OUTSTAND_AMT_DELIQUENT_PROD_KKB_RATIO	,
KKB_138	as	KKB_138_CURRENT_PAY_STAT_KKB	,
KKB_139	as	KKB_139_WORST_PAY_STAT_KKB	,
KKB_142	as	KKB_142_FOLLOW_UP_STAT_KKB	,
KKB_143	as	KKB_143_TOT_NPL_AMT_KKB	,
KKB_145	as	KKB_145_CNT_1_MON_DELAY_KKB_L3M	,
KKB_146	as	KKB_146_CNT_1_MON_DELAY_KKB_L6M	,
KKB_148	as	KKB_148_CNT_2_MON_DELAY_KKB_L3M	,
KKB_149	as	KKB_149_CNT_2_MON_DELAY_KKB_L6M	,
KKB_151	as	KKB_151_CNT_MIN_3_MON_DELAY_KKB_L3M	,
KKB_152	as	KKB_152_CNT_MIN_3_MON_DELAY_KKB_L3M	,
KKB_163	as	KKB_163_WORST_PAY_STAT_KKB_L3M	,
KKB_164	as	KKB_164_WORST_PAY_STAT_KKB_L6M	,
KKB_166	as	KKB_166_TOT_DELIQUENCY_KKB_L3M	,
KKB_167	as	KKB_167_TOT_DELIQUENCY_KKB_L6M	,
KKB_110	as	KKB_110_TOT_INSTAL_AMT_ALL_STATEMENTS_KKB_L1M	,
KKB_073	as	KKB_073_TOT_CC_KKB	,
KKB_081	as	KKB_081_TOT_OVD_KKB	,
LIM_01	as	LIM_01_CC_LIMIT	,
LIM_02	as	LIM_02_C_ADV_LIMIT	,
LIM_03	as	LIM_03_OVD_LIMIT	,
LIM_22	as	LIM_22_CC_LAST_LIM_INCREASE_DATE	,
LIM_22_1	as	LIM_22_1_LAST_LIM_DECREASE_DATE	,
LIM_25	as	LIM_25_LAST_LIM_INCREASE_REQUEST_FLG	,
LIM_25_1	as	LIM_25_1_LAST_LIM_DECREASE_REQUEST_FLG	,
LIM_29_1	as	LIM_29_1_LIM_CHANGE_TO_PREVIOUS_MON	,
OUT_01	as	OUT_01_TOT_OUTSTAND_CREDITS	,
OUT_02	as	OUT_02_OUTSTAND_CC	,
OUT_02_1	as	OUT_02_1_AVG_MON_OUTSTAND_CC	,
OUT_03	as	OUT_03_OUTSTAND_C_ADV	,
OUT_08	as	OUT_08_OUTSTAND_OVD	,
OUT_10	as	OUT_10_OUTSTAND_PERS_LOAN	,
OUT_12	as	OUT_12_OUTSTAND_PERS_LOAN	,
OUT_14	as	OUT_14_OUTSTAND_CAR_LOAN	,
OUT_16	as	OUT_16_OUTSTAND_RET_LOAN	,
OUT_24	as	OUT_24_AVG_OUTSTAND_CC_L6M	,
OUT_25	as	OUT_25_OUTSTAND_OVD_L6M	,
OUT_26	as	OUT_26_AVG_OUTSTAND_CC_L3M	,
OUT_27	as	OUT_27_OUTSTAND_OVD_L3M	,
PAY_001	as	PAY_001_TOT_PAY_ALL_PROD_L1M	,
PAY_002	as	PAY_002_TOT_PAY_ALL_PROD_L3M	,
PAY_003	as	PAY_003_TOT_PAY_ALL_PROD_L6M	,
PAY_005	as	PAY_005_AVG_PAY_ALL_PROD_L3M	,
PAY_005_1	as	PAY_005_1_AVG_PAY_ALL_PROD_L3M	,
PAY_005_2	as	PAY_005_2_AVG_PAY_ALL_PROD_L3M	,
PAY_006	as	PAY_006_AVG_PAY_ALL_PROD_L6M	,
PAY_006_1	as	PAY_006_1_AVG_PAY_ALL_PROD_L6M	,
PAY_006_2	as	PAY_006_2_AVG_PAY_ALL_PROD_L6M	,
PAY_008	as	PAY_008_TOT_PAY_CC_L1M	,
PAY_009	as	PAY_009_TOT_PAY_CC_L3M	,
PAY_010	as	PAY_010_TOT_PAY_CC_L6M	,
PAY_012	as	PAY_012_AVG_PAY_CC_L3M	,
PAY_012_1	as	PAY_012_1_AVG_PAY_CC_L3M	,
PAY_012_2	as	PAY_012_2_AVG_PAY_CC_L3M	,
PAY_012_3	as	PAY_012_3_TOT_PAY_CC_L3M	,
PAY_012_4	as	PAY_012_4_CNT_MON_PAY_CC_L3M	,
PAY_013	as	PAY_013_AVG_PAY_CC_L6M	,
PAY_013_1	as	PAY_013_1_AVG_PAY_CC_L6M	,
PAY_013_2	as	PAY_013_2_AVG_PAY_CC_L6M	,
PAY_013_3	as	PAY_013_3_TOT_PAY_CC_L6M	,
PAY_013_4	as	PAY_013_4_CNT_MON_PAY_CC_L6M	,
PAY_016	as	PAY_016_TOT_PAY_OVD_L1M	,
PAY_018	as	PAY_018_TOT_PAY_OVD_L3M	,
PAY_020	as	PAY_020_TOT_PAY_OVD_L6M	,
PAY_024	as	PAY_024_AVG_PAY_OVD_L3M	,
PAY_024_1	as	PAY_024_1_AVG_PAY_OVD_L3M	,
PAY_024_2	as	PAY_024_2_AVG_PAY_OVD_L3M	,
PAY_024_3	as	PAY_024_3_TOT_PAY_OVD_L3M	,
PAY_024_4	as	PAY_024_4_CNT_MON_PAY_OVD_L3M	,
PAY_026	as	PAY_026_AVG_PAY_OVD_L6M	,
PAY_026_1	as	PAY_026_1_AVG_PAY_OVD_L6M	,
PAY_026_2	as	PAY_026_2_AVG_PAY_OVD_L6M	,
PAY_026_3	as	PAY_026_3_TOT_PAY_OVD_L6M	,
PAY_026_4	as	PAY_026_4_CNT_MON_PAY_OVD_L6M	,
PAY_029	as	PAY_029_FIRST_CC_PAY_ON_TIME_FLG	,
PAY_030	as	PAY_030_FIRST_PERS_LOAN_PAY_ON_TIME_FLG	,
PAY_031	as	PAY_031_FIRST_CAR_LOAN_PAY_ON_TIME_FLG	,
PAY_032	as	PAY_032_FIRST_MORTGAGE_PAY_ON_TIME_FLG	,
PAY_033	as	PAY_033_FIRST_OTHER_RET_LOAN_PAY_ON_TIME_FLG	,
PAY_035	as	PAY_035_TOT_PAY_RET_LOAN	,
PAY_036	as	PAY_036_TOT_PAY_RET_LOAN_L3M	,
PAY_037	as	PAY_037_TOT_PAY_RET_LOAN_L6M	,
PAY_038	as	PAY_038_AVG_PAY_RET_LOAN_L3M	,
PAY_038_1	as	PAY_038_1_AVG_PAY_RET_LOAN_L3M	,
PAY_038_2	as	PAY_038_2_AVG_PAY_RET_LOAN_L3M	,
PAY_038_3	as	PAY_038_3_TOT_PAY_RET_LOAN_L3M	,
PAY_038_4	as	PAY_038_4_CNT_MON_PAY_RET_LOAN_L3M	,
PAY_039	as	PAY_039_AVG_PAY_RET_LOAN_L6M	,
PAY_039_1	as	PAY_039_1_AVG_PAY_RET_LOAN_L6M	,
PAY_039_2	as	PAY_039_2_AVG_PAY_RET_LOAN_L6M	,
PAY_039_3	as	PAY_039_3_TOT_PAY_RET_LOAN_L6M	,
PAY_039_4	as	PAY_039_4_CNT_MON_PAY_RET_LOAN_L6M	,
PAY_040	as	PAY_040_CC_PAY_RATIO_L3M	,
PAY_041	as	PAY_041_CC_AVG_PAY_RATIO_L3M	,
PAY_042	as	PAY_042_CC_AVG_PAY_RATIO_L6M	,
RSK_001	as	RSK_001_PAY_STAT	,
RSK_001_1	as	RSK_001_1_PAY_STAT	,
RSK_002	as	RSK_002_WORST_PAY_STAT	,
RSK_003	as	RSK_003_EXTRA_STAT	,
RSK_004	as	RSK_004_CNT_EXTRA_STAT	,
RSK_005	as	RSK_005_FOLLOW_UP_STAT	,
RSK_006	as	RSK_006_TOT_NPL_AMT	,
RSK_007	as	RSK_007_MON_NPL_AMT	,
RSK_008	as	RSK_008_CNT_1_MON_DELAY_L3M	,
RSK_009	as	RSK_009_CNT_1_MON_DELAY_L6M	,
RSK_011	as	RSK_011_CNT_2_MON_DELAY_L3M	,
RSK_012	as	RSK_012_CNT_2_MON_DELAY_L6M	,
RSK_014	as	RSK_014_CNT_MIN_3_MON_DELAY_L3M	,
RSK_015	as	RSK_015_CNT_MIN_3_MON_DELAY_L6M	,
RSK_017	as	RSK_017_TOT_1_MON_DELAY_L3M	,
RSK_018	as	RSK_018_TOT_1_MON_DELAY_L6M	,
RSK_020	as	RSK_020_TOT_2_MON_DELAY_L3M	,
RSK_021	as	RSK_021_TOT_2_MON_DELAY_L6M	,
RSK_023	as	RSK_023_TOT_MIN_3_MON_DELAY_L3M	,
RSK_024	as	RSK_024_TOT_MIN_3_MON_DELAY_L6M	,
RSK_026	as	RSK_026_WORST_PAY_STAT_L3M	,
RSK_026_1	as	RSK_026_1_WORST_PAY_STAT_L3M	,
RSK_027	as	RSK_027_WORST_PAY_STAT_L6M	,
RSK_027_1	as	RSK_027_1_WORST_PAY_STAT_L6M	,
RSK_029	as	RSK_029_TOT_DELIQUENCY_L3M	,
RSK_030	as	RSK_030_TOT_DELIQUENCY_L6M	,
RSK_032	as	RSK_032_RESTRUC_CREDIT_FLG	,
RSK_033	as	RSK_033_TOT_AMT_RESTRUC_CREDİT	,
RSK_034	as	RSK_034_NPL_AMT_CC	,
RSK_035	as	RSK_035_NPL_AMT_OVD	,
RSK_036	as	RSK_036_NPL_AMT_PERS_LOAN	,
RSK_037	as	RSK_037_NPL_AMT_CAR_LOAN	,
RSK_038	as	RSK_038_NPL_AMT_MOTGAGES	,
RSK_039	as	RSK_039_NPL_AMT_PERS_LOAN	,
RSK_040	as	RSK_040_NPL_AMT_NON_INSTAL_CASH_LOAN	,
RSK_041	as	RSK_041_NPL_AMT_NONCASH_LOAN	,
RSK_042	as	RSK_042_NPL_AMT_CHEQ	,
RSK_043	as	RSK_043_TOT_NPL_RECOVER_AMT	,
RSK_044	as	RSK_044_TOT_NPL_SALES_AMT	,
RSK_045	as	RSK_045_CC_DELINQUENT_DAYS	,
SAS_1	as	SAS_1_BS_LIM_MANAGEMENT_CC	,
SAS_10	as	SAS_10_KKB_INQUIRY_FLG	,
SAS_11	as	SAS_11_ELIGIBLE_PREAPP_LOAN_FLG	,
SAS_12	as	SAS_12_ELIGIBLE_LIM_INCREASE_FLG	,
SAS_13	as	SAS_13_ELIGIBLE_LIM_DECREASE_FLG	,
SAS_14	as	SAS_14_OD_RECCOMENDED_LIM	,
SAS_15	as	SAS_15_PRESELEC_RULE_CC_LIM_INCREASE	,
SAS_16	as	SAS_16_KKB_INQUIRY_REQ_FLG_PREAPP_LOAN	,
SAS_2	as	SAS_2_BS_PREAPP_LOAN	,
SAS_3	as	SAS_3_SCOREBAND_LIM_CC	,
SAS_4	as	SAS_4_SCOREBAND_PREAPP_LOAN	,
SAS_5	as	SAS_5_ELIGIBLE_LIM_INCREASE_FLG	,
SAS_6	as	SAS_6_RECOMMENDED_LIM	,
SAS_7	as	SAS_7_EXIT_POOL_FLG	,
SAS_8	as	SAS_8_CC_BLOKING_FLG	,
SAS_9	as	SAS_9_LIM_DECREASE_FLG	,
SCORE_1_1	as	SCORE_1_1_BS_CC_LIM_MANAGEMENT_DATE	,
SCORE_1_2	as	SCORE_1_2_BS_CC_LIM_MANAGEMENT_FLG	,
SCORE_1_3	as	SCORE_1_3_BS_CC_LIM_MANAGEMENT	,
SCORE_1_4	as	SCORE_1_4_SCOREBAND_LIM_MANAGEMENT	,
SCORE_2_1	as	SCORE_2_1_BS_PREAPP_LOAN	,
SCORE_2_2	as	SCORE_2_2_NEW_BS_CALCULATED_FLG	,
SCORE_2_3	as	SCORE_2_3_LAST_BS_PREAPP_LOAN	,
SCORE_2_4	as	SCORE_2_4_SCOREBAND_PREAPP_LOAN	,
STA_001	as	STA_001_TOT_AMT_STATEMENT_L1M	,
STA_002	as	STA_002_TOT_AMT_STATEMENT_L3M	,
STA_003	as	STA_003_TOT_AMT_STATEMENT_L6M	,
STA_005	as	STA_005_AVG_AMT_STATEMENT_L3M	,
STA_005_1	as	STA_005_1_AVG_AMT_STATEMENT_L3M	,
STA_005_2	as	STA_005_2_AVG_AMT_STATEMENT_L3M	,
STA_006	as	STA_006_AVG_AMT_STATEMENT_L6M	,
STA_006_1	as	STA_006_1_AVG_AMT_STATEMENT_L6M	,
STA_006_2	as	STA_006_2_AVG_AMT_STATEMENT_L6M	,
STA_008	as	STA_008_TOT_AMT_CASH_ADV_STATEMENT_L1M	,
STA_009	as	STA_009_TOT_AMT_CASH_ADV_STATEMENT_L3M	,
STA_010	as	STA_010_TOT_AMT_CASH_ADV_STATEMENT_L6M	,
STA_012	as	STA_012_AVG_AMT_CASH_ADV_STATEMENT_L3M	,
STA_012_1	as	STA_012_1_AVG_AMT_CASH_ADV_STATEMENT_L3M	,
STA_012_2	as	STA_012_2_AVG_AMT_CASH_ADV_STATEMENT_L3M	,
STA_013	as	STA_013_AVG_AMT_CASH_ADV_STATEMENT_L6M	,
STA_013_1	as	STA_013_1_AVG_AMT_CASH_ADV_STATEMENT_L6M	,
STA_013_2	as	STA_013_2_AVG_AMT_CASH_ADV_STATEMENT_L6M	,
STA_036	as	STA_036_TOT_REVOLVED_AMT_L1M	,
STA_037	as	STA_037_TOT_REVOLVED_AMT_L3M	,
STA_038	as	STA_038_TOT_REVOLVED_AMT_L6M	,
STA_040	as	STA_040_AVG_REVOLVED_AMT_L3M	,
STA_040_1	as	STA_040_1_AVG_REVOLVED_AMT_L3M	,
STA_040_2	as	STA_040_2_AVG_REVOLVED_AMT_L3M	,
STA_041	as	STA_041_AVG_REVOLVED_AMT_L6M	,
STA_041_1	as	STA_041_1_AVG_REVOLVED_AMT_L6M	,
STA_041_2	as	STA_041_2_AVG_REVOLVED_AMT_L6M	,
STA_045	as	STA_045_CNT_DAYS_CC_OVER_LIM	,
STA_046	as	STA_046_CNT_DAYS_CC_OVER_LIM_L3M	,
STA_047	as	STA_047_CNT_DAYS_CC_OVER_LIM_L6M	,
UTI_002	as	UTI_002_AVG_CC_LIM_UTIL_L6M	,
UTI_003	as	UTI_003_AVG_CC_LIM_UTIL_L3M	,
UTI_004	as	UTI_004_AVG_CC_LIM_UTIL_L1M	,
UTI_006	as	UTI_006_AVG_CASH_ADV_LIM_UTIL_L6M	,
UTI_007	as	UTI_007_AVG_CASH_ADV_LIM_UTIL_L3M	,
UTI_008	as	UTI_008_AVG_CASH_ADV_LIM_UTIL_L1M	,
UTI_010	as	UTI_010_AVG_OVD_LIM_UTIL_L6M	,
UTI_011	as	UTI_011_AVG_OVD_LIM_UTIL_L3M	,
UTI_012	as	UTI_012_OVD_LIM_UTIL_L1M	,
UTI_017	as	UTI_017_AVG_OVD_UTIL_L3M	,
UTI_018	as	UTI_018_AVG_OVD_UTIL_L6M	
/*
 ,
 OUT_08_1	as	OUT_08_1_OUTSTAND_BAL_MAIN_PARTNER	,
OUT_08_2	as	OUT_08_2_OUTSTAND_BAL_SECOND_PARTNER	,
OUT_08_3	as	OUT_08_3_OUTSTAND_BAL_OTHER_PARTNER	,
OUT_08_4	as	OUT_08_4_OUTSTAND_BAL_FIRST_GUAR	,
OUT_08_5	as	OUT_08_5_OUTSTAND_BAL_SECOND_GUAR	,
UTI_012_1	as	UTI_012_1_UTIL_MAIN_PARTNER	,
UTI_012_2	as	UTI_012_2_UTIL_SECOND_PARTNER	,
UTI_012_3	as	UTI_012_3_UTIL_OTHER_PARTNER	,
UTI_012_4	as	UTI_012_4_UTIL_FIRST_GUAR	,
UTI_012_5	as	UTI_012_5_UTIL_SECOND_GUAR	,
UTI_017_1	as	UTI_017_1_AVG_UTIL_MAIN_PARTNER_L3M	,
UTI_017_2	as	UTI_017_2_AVG_UTIL_SECOND_PARTNER_L3M	,
UTI_017_3	as	UTI_017_3_AVG_UTIL_OTHER_PARTNER_L3M	,
UTI_017_4	as	UTI_017_4_AVG_UTIL_FIRST_GUAR_L3M	,
UTI_017_5	as	UTI_017_5_AVG_UTIL_SECOND_GUAR_L3M	,
UTI_018_1	as	UTI_018_1__AVG_UTIL_MAIN_PARTNER_L6M	,
UTI_018_2	as	UTI_018_2_AVG_UTIL_SECOND_PARTNER_L6M	,
UTI_018_3	as	UTI_018_3_AVG_UTIL_OTHER_PARTNER_L6M	,
UTI_018_4	as	UTI_018_4_AVG_UTIL_FIRST_GUAR_L6M	,
UTI_018_5	as	UTI_018_5_AVG_UTIL_SECOND_GUAR_L6M	,
FIN_001_Y1	as	FIN_001_Y1_NET_SALES_Y1	,
FIN_002_Y1	as	FIN_002_Y1_SALES_EXPORT_Y1	,
FIN_003_Y1	as	FIN_003_Y1_DOMESTIC_SALES_Y1	,
FIN_004_Y1	as	FIN_004_Y1_SHAREHOLDERS_EQUITY_Y1	,
FIN_005_Y1	as	FIN_005_Y1_DEPRECIATION_Y1	,
FIN_006_Y1	as	FIN_006_Y1_TOT_ASSETS_OF_COMPANY_Y1	,
FIN_007_Y1	as	FIN_007_Y1_FIXED_ASSETS_Y1	,
FIN_008_Y1	as	FIN_008_Y1_FIN_ASSETS_Y1	,
FIN_009_Y1	as	FIN_009_Y1_TOT_INVENTORY_Y1	,
FIN_010_Y1	as	FIN_010_Y1_CURRENT_ASSTES_Y1	,
FIN_011_Y1	as	FIN_011_Y1_INTANGIBLE_ASSETS_Y1	,
FIN_012_Y1	as	FIN_012_Y1_LONG_TERM_RECEIVABLE_Y1	,
FIN_013_Y1	as	FIN_013_Y1_SHORT_TERM_RECEIVABLE_Y1	,
FIN_014_Y1	as	FIN_014_Y1_CASH_MARKETABLE_SECURITIES_Y1
*/
from dw_out.dwf_bhv_scor_data;

GRANT 	ALL ON risk.bureau_data to public;