/* gitti */

DROP TABLE IF EXISTS risk.gecici_gizem;
CREATE ANALYTIC TABLE risk.gecici_gizem
DISTRIBUTE BY REPLICATION
AS
SELECT	i1.hesno, i1.sube, i2.* 
FROM 	staging.pov_ybs_hesap_ortak_musteri as i1
JOIN	(
		SELECT	AGAC_kisa_AD, GRUP_kisa_AD, URUN_kisa_AD1, URUN_kisa_AD2, URUN_kisa_AD3, URUN_kisa_AD4, 
				level0 as bankaurunid -- banka urun agac ile ybs hesap ortak musteri buradan birlesicek
		FROM	staging.pov_dw_banka_urun_agac_hyr 						
		WHERE	agac_kisa_ad NOT IN ('Komisyon & Masraf Aac','MIS Vaziyet Aac Old','FAZ DII GDERLER')
		) as i2
	ON	i1.bankaurunid = i2.bankaurunid; -- inner query