CREATE FACT TABLE risk.mga_model_train
(
   joinkey character varying,
   cust_id numeric(8,0),
   card_no character varying(20),
   stmt_dt date,
   target integer,
   sax_code_clusterid_0_freq_n_woe numeric,
   sax_code_clusterid_0_amt_n_woe numeric,
   sax_code_clusterid_1_freq_n_woe numeric,
   sax_code_clusterid_1_amt_n_woe numeric,
   sax_code_clusterid_2_freq_n_woe numeric,
   sax_code_clusterid_2_amt_n_woe numeric,
   sax_code_clusterid_3_freq_n_woe numeric,
   sax_code_clusterid_3_amt_n_woe numeric,
   sax_code_clusterid_4_freq_n_woe numeric,
   sax_code_clusterid_4_amt_n_woe numeric,
   sax_code_clusterid_5_freq_n_woe numeric,
   sax_code_clusterid_5_amt_n_woe numeric,
   sax_code_clusterid_6_freq_n_woe numeric,
   sax_code_clusterid_6_amt_n_woe numeric,
   sax_code_clusterid_7_freq_n_woe numeric,
   sax_code_clusterid_7_amt_n_woe numeric,
   sax_code_clusterid_8_freq_n_woe numeric,
   sax_code_clusterid_8_amt_n_woe numeric,
   sax_code_clusterid_9_freq_n_woe numeric,
   sax_code_clusterid_9_amt_n_woe numeric,
   sax_code_clusterid_10_freq_n_woe numeric,
   sax_code_clusterid_10_amt_n_woe numeric,
   sax_code_clusterid_99_freq_n_woe numeric,
   sax_code_clusterid_99_amt_n_woe numeric,
   clusterid_0_amount_n numeric,
   clusterid_1_amount_n numeric,
   clusterid_2_amount_n numeric,
   clusterid_3_amount_n numeric,
   clusterid_4_amount_n numeric,
   clusterid_5_amount_n numeric,
   clusterid_6_amount_n numeric,
   clusterid_7_amount_n numeric,
   clusterid_8_amount_n numeric,
   clusterid_9_amount_n numeric,
   clusterid_10_amount_n numeric,
   clusterid_99_amount_n numeric,
   clusterid_0_freq_n numeric,
   clusterid_1_freq_n numeric,
   clusterid_2_freq_n numeric,
   clusterid_3_freq_n numeric,
   clusterid_4_freq_n numeric,
   clusterid_5_freq_n numeric,
   clusterid_6_freq_n numeric,
   clusterid_7_freq_n numeric,
   clusterid_8_freq_n numeric,
   clusterid_9_freq_n numeric,
   clusterid_10_freq_n numeric,
   clusterid_99_freq_n numeric,
   kkb_last_inq_date integer,
   aut_050_1_avg_cc_trx_l3m numeric,
   aut_050_avg_cc_trx_l3m numeric,
   aut_051_1_avg_cc_trx_l6m numeric,
   aut_051_avg_cc_trx_l6m numeric,
   aut_053_cnt_cc_trx_l1m numeric,
   aut_054_cnt_cc_trx_l3m numeric,
   aut_055_cnt_cc_trx_l6m numeric,
   aut_057_avg_amt_cc_trx_l1m numeric,
   aut_058_1_avg_amt_cc_trx_l3m numeric,
   aut_058_2_avg_amt_cc_trx_l3m numeric,
   aut_058_avg_amt_cc_trx_l3m numeric,
   aut_059_1_avg_amt_cc_trx_l6m numeric,
   aut_059_2_avg_amt_cc_trx_l6m numeric,
   aut_059_avg_amt_cc_trx_l6m numeric,
   aut_061_tot_amt_cc_trx_l1m numeric,
   aut_062_tot_amt_cc_trx_l3m numeric,
   aut_063_tot_amt_cc_trx_l6m numeric,
   aut_065_1_avg_cnt_c_adv_trx_l3m numeric,
   aut_065_avg_cnt_c_adv_trx_l3m numeric,
   aut_066_1_avg_cnt_c_adv_trx_l6m numeric,
   aut_066_avg_cnt_c_adv_trx_l6m numeric,
   aut_068_cnt_c_adv_trx_l1m numeric,
   aut_069_cnt_c_adv_trx_l3m numeric,
   aut_070_cnt_c_adv_trx_l6m numeric,
   aut_072_avg_amt_c_adv_trx_l1m numeric,
   aut_073_1_avg_amt_c_adv_trx_l3m numeric,
   aut_073_2_avg_amt_c_adv_trx_l3m numeric,
   aut_073_avg_amt_c_adv_trx_l3m numeric,
   aut_074_1_avg_amt_c_adv_trx_l6m numeric,
   aut_074_2_avg_amt_c_adv_trx_l6m numeric,
   aut_074_avg_amt_c_adv_trx_l6m numeric,
   aut_076_amt_c_adv_trx_l1m numeric,
   aut_077_amt_c_adv_trx_l3m numeric,
   aut_078_amt_c_adv_trx_l6m numeric,
   aut_110_1_avg_cnt_ovd_trx_l3m numeric,
   aut_110_avg_cnt_ovd_trx_l3m numeric,
   aut_111_1_avg_cnt_ovd_trx_l6m numeric,
   aut_111_avg_cnt_ovd_trx_l6m numeric,
   aut_113_cnt_ovd_trx_l1m numeric,
   aut_114_cnt_ovd_trx_l3m numeric,
   aut_115_cnt_ovd_trx_l6m numeric,
   aut_117_avg_amt_ovd_trx_l1m numeric,
   aut_118_1_avg_amt_ovd_trx_l3m numeric,
   aut_118_2_avg_amt_ovd_trx_l3m numeric,
   aut_118_avg_amt_ovd_trx_l3m numeric,
   aut_119_1_avg_amt_ovd_trx_l6m numeric,
   aut_119_2_avg_amt_ovd_trx_l6m numeric,
   aut_119_avg_amt_ovd_trx_l6m numeric,
   aut_121_tot_amt_ovd_trx_l1m numeric,
   aut_122__tot_amt_ovd_trx_l3m numeric,
   aut_123__tot_amt_ovd_trx_l6m numeric,
   cus_009_tot_instal_amt_pers_loan numeric,
   cus_010_tot_instal_amt_car_loan numeric,
   cus_011_tot_instal_amt_mortgage numeric,
   cus_012_tot_instal_amt_ret_loan numeric,
   cus_014_1_avg_instal_pers_loan_l3m numeric,
   cus_014_2_avg_instal_pers_loan_l3m numeric,
   cus_014_avg_instal_pers_loan_l3m numeric,
   cus_015_1_avg_instal_car_loan_l3m numeric,
   cus_015_2_avg_instal_car_loan_l3m numeric,
   cus_015_avg_instal_car_loan_l3m numeric,
   cus_016_1_avg_instal_mortgage_l3m numeric,
   cus_016_2_avg_instal_mortgage_l3m numeric,
   cus_016_avg_instal_mortgage_l3m numeric,
   cus_017_1_avg_instal_ret_loan_l3m numeric,
   cus_017_2_avg_instal_ret_loan_l3m numeric,
   cus_017_avg_instal_ret_loan_l3m numeric,
   cus_019_1_avg_instal_pers_loan_l6m numeric,
   cus_019_2_avg_instal_pers_loan_l6m numeric,
   cus_019_avg_instal_pers_loan_l6m numeric,
   cus_020_1_avg_instal_car_loan_l6m numeric,
   cus_020_2_avg_instal_car_loan_l6m numeric,
   cus_020_avg_instal_car_loan_l6m numeric,
   cus_021_1_avg_instal_mortgage_l6m numeric,
   cus_021_2_avg_instal_mortgage_l6m numeric,
   cus_021_avg_instal_mortgage_l6m numeric,
   cus_022_1_avg_instal_other_loan_l6m numeric,
   cus_022_2_avg_instal_other_loan_l6m numeric,
   cus_022_avg_instal_other_loan_l6m numeric,
   cus_034_canceled_card_reason_code character varying,
   cus_069_credit_hunger numeric,
   cus_099_cnt_litigated_prod_ever_had numeric,
   cus_104_min_litigation_date double precision,
   cus_105_cust_litigation_flg character varying,
   kkb_001_1_avg_cc_limit_in_kkb numeric,
   kkb_001_tot_cc_limit_kkb numeric,
   kkb_003_tot_ovd_limit_kkb numeric,
   kkb_031_tot_outstand_credits_kkb numeric,
   kkb_032_tot_outsand_cc_kkb numeric,
   kkb_038_tot_outstand_ovd_kkb numeric,
   kkb_040_tot_outstand_pers_loan_kkb numeric,
   kkb_044_tot_outstand_mortgage_kkb numeric,
   kkb_051_tot_outstand_delinquent_ratio numeric,
   kkb_073_tot_cc_kkb numeric,
   kkb_081_tot_ovd_kkb numeric,
   kkb_110_tot_instal_amt_all_statements_kkb_l1m numeric,
   kkb_143_tot_npl_amt_kkb numeric,
   kkb_145_cnt_1_mon_delay_kkb_l3m numeric,
   kkb_146_cnt_1_mon_delay_kkb_l6m numeric,
   kkb_148_cnt_2_mon_delay_kkb_l3m numeric,
   kkb_149_cnt_2_mon_delay_kkb_l6m numeric,
   kkb_248_cc_first_pay_on_time_kkb_flg character varying,
   kkb_249_ins_pers_loan_first_pay_on_time_kkb_flg character varying,
   kkb_251_ins_mortgage_first_pay_on_time_kkb_flg character varying,
   kkb_151_cnt_min_3_mon_delay_kkb_l3m numeric,
   kkb_138_current_pay_stat_kkb character varying,
   kkb_139_worst_pay_stat_kkb character varying,
   kkb_142_follow_up_stat_kkb character varying,
   kkb_152_cnt_min_3_mon_delay_kkb_l3m numeric,
   kkb_166_tot_deliquency_kkb_l3m numeric,
   kkb_167_tot_deliquency_kkb_l6m numeric,
   kkb_180_tot_mon_instal_amt_pers_loan_kkb numeric,
   kkb_182_tot_mon_instal_amt_mortgage_kkb numeric,
   kkb_215_cnt_litigated_prod_kkb_ever numeric,
   kkb_220_tot_pay_all_prod_kkb_l1m numeric,
   kkb_163_worst_pay_stat_kkb_l3m character varying,
   kkb_164_worst_pay_stat_kkb_l6m character varying,
   kkb_227_tot_pay_cc_kkb_l1m numeric,
   kkb_235_tot_pay_ovd_kkb_l1m numeric,
   kkb_254_tot_outstand_amt_deliquent_prod_kkb_ratio numeric,
   kkb_256_kkb_score numeric,
   kkb_257_time_since_cc_open_date numeric,
   lim_01_cc_limit numeric,
   lim_02_c_adv_limit numeric,
   lim_03_ovd_limit numeric,
   lim_22_cc_last_lim_increase_date double precision,
   lim_22_1_last_lim_decrease_date double precision,
   lim_25_last_lim_increase_request_flg character varying,
   lim_25_1_last_lim_decrease_request_flg character varying,
   lim_29_1_lim_change_to_previous_mon numeric,
   out_01_tot_outstand_credits numeric,
   out_02_1_avg_mon_outstand_cc numeric,
   out_02_outstand_cc numeric,
   out_03_outstand_c_adv numeric,
   out_08_outstand_ovd numeric,
   out_10_outstand_pers_loan numeric,
   out_12_outstand_pers_loan numeric,
   out_14_outstand_car_loan numeric,
   out_16_outstand_ret_loan numeric,
   out_24_avg_outstand_cc_l6m numeric,
   out_25_outstand_ovd_l6m numeric,
   out_26_avg_outstand_cc_l3m numeric,
   out_27_outstand_ovd_l3m numeric,
   pay_001_tot_pay_all_prod_l1m numeric,
   pay_002_tot_pay_all_prod_l3m numeric,
   pay_003_tot_pay_all_prod_l6m numeric,
   pay_005_1_avg_pay_all_prod_l3m numeric,
   pay_005_2_avg_pay_all_prod_l3m numeric,
   pay_005_avg_pay_all_prod_l3m numeric,
   pay_006_1_avg_pay_all_prod_l6m numeric,
   pay_006_2_avg_pay_all_prod_l6m numeric,
   pay_006_avg_pay_all_prod_l6m numeric,
   pay_008_tot_pay_cc_l1m numeric,
   pay_009_tot_pay_cc_l3m numeric,
   pay_010_tot_pay_cc_l6m numeric,
   pay_012_1_avg_pay_cc_l3m numeric,
   pay_012_2_avg_pay_cc_l3m numeric,
   pay_012_3_tot_pay_cc_l3m numeric,
   pay_012_4_cnt_mon_pay_cc_l3m numeric,
   pay_012_avg_pay_cc_l3m numeric,
   pay_013_1_avg_pay_cc_l6m numeric,
   pay_013_2_avg_pay_cc_l6m numeric,
   pay_013_3_tot_pay_cc_l6m numeric,
   pay_013_4_cnt_mon_pay_cc_l6m numeric,
   pay_013_avg_pay_cc_l6m numeric,
   pay_016_tot_pay_ovd_l1m numeric,
   pay_018_tot_pay_ovd_l3m numeric,
   pay_020_tot_pay_ovd_l6m numeric,
   pay_024_1_avg_pay_ovd_l3m numeric,
   pay_024_2_avg_pay_ovd_l3m numeric,
   pay_024_3_tot_pay_ovd_l3m numeric,
   pay_024_4_cnt_mon_pay_ovd_l3m numeric,
   pay_024_avg_pay_ovd_l3m numeric,
   pay_026_1_avg_pay_ovd_l6m numeric,
   pay_026_2_avg_pay_ovd_l6m numeric,
   pay_026_3_tot_pay_ovd_l6m numeric,
   pay_026_4_cnt_mon_pay_ovd_l6m numeric,
   pay_026_avg_pay_ovd_l6m numeric,
   pay_029_first_cc_pay_on_time_flg character varying,
   pay_030_first_pers_loan_pay_on_time_flg character varying,
   pay_031_first_car_loan_pay_on_time_flg character varying,
   pay_032_first_mortgage_pay_on_time_flg character varying,
   pay_033_first_other_ret_loan_pay_on_time_flg character varying,
   pay_035_tot_pay_ret_loan numeric,
   pay_036_tot_pay_ret_loan_l3m numeric,
   pay_037_tot_pay_ret_loan_l6m numeric,
   pay_038_1_avg_pay_ret_loan_l3m numeric,
   pay_038_2_avg_pay_ret_loan_l3m numeric,
   pay_038_3_tot_pay_ret_loan_l3m numeric,
   pay_038_4_cnt_mon_pay_ret_loan_l3m numeric,
   pay_038_avg_pay_ret_loan_l3m numeric,
   pay_039_1_avg_pay_ret_loan_l6m numeric,
   pay_039_2_avg_pay_ret_loan_l6m numeric,
   pay_039_3_tot_pay_ret_loan_l6m numeric,
   pay_039_4_cnt_mon_pay_ret_loan_l6m numeric,
   pay_039_avg_pay_ret_loan_l6m numeric,
   pay_040_cc_pay_ratio_l3m numeric,
   pay_041_cc_avg_pay_ratio_l3m numeric,
   pay_042_cc_avg_pay_ratio_l6m numeric,
   rsk_001_pay_stat character varying,
   rsk_001_1_pay_stat character varying,
   rsk_002_worst_pay_stat character varying,
   rsk_003_extra_stat character varying,
   rsk_004_cnt_extra_stat character varying,
   rsk_005_follow_up_stat character varying,
   rsk_006_tot_npl_amt numeric,
   rsk_007_mon_npl_amt numeric,
   rsk_008_cnt_1_mon_delay_l3m numeric,
   rsk_009_cnt_1_mon_delay_l6m numeric,
   rsk_011_cnt_2_mon_delay_l3m numeric,
   rsk_012_cnt_2_mon_delay_l6m numeric,
   rsk_014_cnt_min_3_mon_delay_l3m numeric,
   rsk_015_cnt_min_3_mon_delay_l6m numeric,
   rsk_017_tot_1_mon_delay_l3m numeric,
   rsk_018_tot_1_mon_delay_l6m numeric,
   rsk_020_tot_2_mon_delay_l3m numeric,
   rsk_021_tot_2_mon_delay_l6m numeric,
   rsk_023_tot_min_3_mon_delay_l3m numeric,
   rsk_024_tot_min_3_mon_delay_l6m numeric,
   rsk_026_worst_pay_stat_l3m character varying,
   rsk_026_1_worst_pay_stat_l3m character varying,
   rsk_027_worst_pay_stat_l6m character varying,
   rsk_027_1_worst_pay_stat_l6m character varying,
   rsk_029_tot_deliquency_l3m numeric,
   rsk_030_tot_deliquency_l6m numeric,
   rsk_032_restruc_credit_flg character varying,
   rsk_033_tot_amt_restruc_credit numeric,
   rsk_034_npl_amt_cc numeric,
   rsk_035_npl_amt_ovd numeric,
   rsk_036_npl_amt_pers_loan numeric,
   rsk_037_npl_amt_car_loan numeric,
   rsk_038_npl_amt_motgages numeric,
   rsk_039_npl_amt_pers_loan numeric,
   rsk_040_npl_amt_non_instal_cash_loan numeric,
   rsk_041_npl_amt_noncash_loan numeric,
   rsk_042_npl_amt_cheq numeric,
   rsk_043_tot_npl_recover_amt numeric,
   rsk_044_tot_npl_sales_amt numeric,
   rsk_045_cc_delinquent_days numeric,
   sas_1_bs_lim_management_cc numeric,
   sas_10_kkb_inquiry_flg character varying,
   sas_11_eligible_preapp_loan_flg character varying,
   sas_12_eligible_lim_increase_flg character varying,
   sas_13_eligible_lim_decrease_flg character varying,
   sas_14_od_reccomended_lim numeric,
   sas_15_preselec_rule_cc_lim_increase character varying,
   sas_16_kkb_inquiry_req_flg_preapp_loan character varying,
   sas_2_bs_preapp_loan numeric,
   sas_3_scoreband_lim_cc character varying,
   sas_4_scoreband_preapp_loan character varying,
   sas_5_eligible_lim_increase_flg character varying,
   sas_6_recommended_lim numeric,
   sas_7_exit_pool_flg character varying,
   sas_8_cc_bloking_flg character varying,
   sas_9_lim_decrease_flg character varying,
   score_1_1_bs_cc_lim_management_date double precision,
   score_1_2_bs_cc_lim_management_flg character varying,
   score_1_3_bs_cc_lim_management numeric,
   score_1_4_scoreband_lim_management character varying,
   score_2_1_bs_preapp_loan double precision,
   score_2_2_new_bs_calculated_flg character varying,
   score_2_3_last_bs_preapp_loan numeric,
   score_2_4_scoreband_preapp_loan character varying,
   sta_001_tot_amt_statement_l1m numeric,
   sta_002_tot_amt_statement_l3m numeric,
   sta_003_tot_amt_statement_l6m numeric,
   sta_005_1_avg_amt_statement_l3m numeric,
   sta_005_2_avg_amt_statement_l3m numeric,
   sta_005_avg_amt_statement_l3m numeric,
   sta_006_1_avg_amt_statement_l6m numeric,
   sta_006_2_avg_amt_statement_l6m numeric,
   sta_006_avg_amt_statement_l6m numeric,
   sta_008_tot_amt_cash_adv_statement_l1m numeric,
   sta_009_tot_amt_cash_adv_statement_l3m numeric,
   sta_010_tot_amt_cash_adv_statement_l6m numeric,
   sta_012_1_avg_amt_cash_adv_statement_l3m numeric,
   sta_012_2_avg_amt_cash_adv_statement_l3m numeric,
   sta_012_avg_amt_cash_adv_statement_l3m numeric,
   sta_013_1_avg_amt_cash_adv_statement_l6m numeric,
   sta_013_2_avg_amt_cash_adv_statement_l6m numeric,
   sta_013_avg_amt_cash_adv_statement_l6m numeric,
   sta_036_tot_revolved_amt_l1m numeric,
   sta_037_tot_revolved_amt_l3m numeric,
   sta_038_tot_revolved_amt_l6m numeric,
   sta_040_1_avg_revolved_amt_l3m numeric,
   sta_040_2_avg_revolved_amt_l3m numeric,
   sta_040_avg_revolved_amt_l3m numeric,
   sta_041_1_avg_revolved_amt_l6m numeric,
   sta_041_2_avg_revolved_amt_l6m numeric,
   sta_041_avg_revolved_amt_l6m numeric,
   sta_045_cnt_days_cc_over_lim numeric,
   sta_046_cnt_days_cc_over_lim_l3m numeric,
   sta_047_cnt_days_cc_over_lim_l6m numeric,
   uti_002_avg_cc_lim_util_l6m numeric,
   uti_003_avg_cc_lim_util_l3m numeric,
   uti_004_avg_cc_lim_util_l1m numeric,
   uti_006_avg_cash_adv_lim_util_l6m numeric,
   uti_007_avg_cash_adv_lim_util_l3m numeric,
   uti_008_avg_cash_adv_lim_util_l1m numeric,
   uti_010_avg_ovd_lim_util_l6m numeric,
   uti_011_avg_ovd_lim_util_l3m numeric,
   uti_012_ovd_lim_util_l1m numeric,
   uti_017_avg_ovd_util_l3m numeric,
   uti_018_avg_ovd_util_l6m numeric,
   kkb_last_inq_date_nf integer,
   aut_050_1_avg_cc_trx_l3m_nf integer,
   aut_050_avg_cc_trx_l3m_nf integer,
   aut_051_1_avg_cc_trx_l6m_nf integer,
   aut_051_avg_cc_trx_l6m_nf integer,
   aut_053_cnt_cc_trx_l1m_nf integer,
   aut_054_cnt_cc_trx_l3m_nf integer,
   aut_055_cnt_cc_trx_l6m_nf integer,
   aut_057_avg_amt_cc_trx_l1m_nf integer,
   aut_058_1_avg_amt_cc_trx_l3m_nf integer,
   aut_058_2_avg_amt_cc_trx_l3m_nf integer,
   aut_058_avg_amt_cc_trx_l3m_nf integer,
   aut_059_1_avg_amt_cc_trx_l6m_nf integer,
   aut_059_2_avg_amt_cc_trx_l6m_nf integer,
   aut_059_avg_amt_cc_trx_l6m_nf integer,
   aut_061_tot_amt_cc_trx_l1m_nf integer,
   aut_062_tot_amt_cc_trx_l3m_nf integer,
   aut_063_tot_amt_cc_trx_l6m_nf integer,
   aut_065_1_avg_cnt_c_adv_trx_l3m_nf integer,
   aut_065_avg_cnt_c_adv_trx_l3m_nf integer,
   aut_066_1_avg_cnt_c_adv_trx_l6m_nf integer,
   aut_066_avg_cnt_c_adv_trx_l6m_nf integer,
   aut_068_cnt_c_adv_trx_l1m_nf integer,
   aut_069_cnt_c_adv_trx_l3m_nf integer,
   aut_070_cnt_c_adv_trx_l6m_nf integer,
   aut_072_avg_amt_c_adv_trx_l1m_nf integer,
   aut_073_1_avg_amt_c_adv_trx_l3m_nf integer,
   aut_073_2_avg_amt_c_adv_trx_l3m_nf integer,
   aut_073_avg_amt_c_adv_trx_l3m_nf integer,
   aut_074_1_avg_amt_c_adv_trx_l6m_nf integer,
   aut_074_2_avg_amt_c_adv_trx_l6m_nf integer,
   aut_074_avg_amt_c_adv_trx_l6m_nf integer,
   aut_076_amt_c_adv_trx_l1m_nf integer,
   aut_077_amt_c_adv_trx_l3m_nf integer,
   aut_078_amt_c_adv_trx_l6m_nf integer,
   aut_110_1_avg_cnt_ovd_trx_l3m_nf integer,
   aut_110_avg_cnt_ovd_trx_l3m_nf integer,
   aut_111_1_avg_cnt_ovd_trx_l6m_nf integer,
   aut_111_avg_cnt_ovd_trx_l6m_nf integer,
   aut_113_cnt_ovd_trx_l1m_nf integer,
   aut_114_cnt_ovd_trx_l3m_nf integer,
   aut_115_cnt_ovd_trx_l6m_nf integer,
   aut_117_avg_amt_ovd_trx_l1m_nf integer,
   aut_118_1_avg_amt_ovd_trx_l3m_nf integer,
   aut_118_2_avg_amt_ovd_trx_l3m_nf integer,
   aut_118_avg_amt_ovd_trx_l3m_nf integer,
   aut_119_1_avg_amt_ovd_trx_l6m_nf integer,
   aut_119_2_avg_amt_ovd_trx_l6m_nf integer,
   aut_119_avg_amt_ovd_trx_l6m_nf integer,
   aut_121_tot_amt_ovd_trx_l1m_nf integer,
   aut_122__tot_amt_ovd_trx_l3m_nf integer,
   aut_123__tot_amt_ovd_trx_l6m_nf integer,
   cus_009_tot_instal_amt_pers_loan_nf integer,
   cus_010_tot_instal_amt_car_loan_nf integer,
   cus_011_tot_instal_amt_mortgage_nf integer,
   cus_012_tot_instal_amt_ret_loan_nf integer,
   cus_014_1_avg_instal_pers_loan_l3m_nf integer,
   cus_014_2_avg_instal_pers_loan_l3m_nf integer,
   cus_014_avg_instal_pers_loan_l3m_nf integer,
   cus_015_1_avg_instal_car_loan_l3m_nf integer,
   cus_015_2_avg_instal_car_loan_l3m_nf integer,
   cus_015_avg_instal_car_loan_l3m_nf integer,
   cus_016_1_avg_instal_mortgage_l3m_nf integer,
   cus_016_2_avg_instal_mortgage_l3m_nf integer,
   cus_016_avg_instal_mortgage_l3m_nf integer,
   cus_017_1_avg_instal_ret_loan_l3m_nf integer,
   cus_017_2_avg_instal_ret_loan_l3m_nf integer,
   cus_017_avg_instal_ret_loan_l3m_nf integer,
   cus_019_1_avg_instal_pers_loan_l6m_nf integer,
   cus_019_2_avg_instal_pers_loan_l6m_nf integer,
   cus_019_avg_instal_pers_loan_l6m_nf integer,
   cus_020_1_avg_instal_car_loan_l6m_nf integer,
   cus_020_2_avg_instal_car_loan_l6m_nf integer,
   cus_020_avg_instal_car_loan_l6m_nf integer,
   cus_021_1_avg_instal_mortgage_l6m_nf integer,
   cus_021_2_avg_instal_mortgage_l6m_nf integer,
   cus_021_avg_instal_mortgage_l6m_nf integer,
   cus_022_1_avg_instal_other_loan_l6m_nf integer,
   cus_022_2_avg_instal_other_loan_l6m_nf integer,
   cus_022_avg_instal_other_loan_l6m_nf integer,
   cus_034_canceled_card_reason_code_nf integer,
   cus_069_credit_hunger_nf integer,
   cus_099_cnt_litigated_prod_ever_had_nf integer,
   cus_104_min_litigation_date_nf integer,
   cus_105_cust_litigation_flg_nf integer,
   kkb_001_1_avg_cc_limit_in_kkb_nf integer,
   kkb_001_tot_cc_limit_kkb_nf integer,
   kkb_003_tot_ovd_limit_kkb_nf integer,
   kkb_031_tot_outstand_credits_kkb_nf integer,
   kkb_032_tot_outsand_cc_kkb_nf integer,
   kkb_038_tot_outstand_ovd_kkb_nf integer,
   kkb_040_tot_outstand_pers_loan_kkb_nf integer,
   kkb_044_tot_outstand_mortgage_kkb_nf integer,
   kkb_051_tot_outstand_delinquent_ratio_nf integer,
   kkb_073_tot_cc_kkb_nf integer,
   kkb_081_tot_ovd_kkb_nf integer,
   kkb_110_tot_instal_amt_all_statements_kkb_l1m_nf integer,
   kkb_143_tot_npl_amt_kkb_nf integer,
   kkb_145_cnt_1_mon_delay_kkb_l3m_nf integer,
   kkb_146_cnt_1_mon_delay_kkb_l6m_nf integer,
   kkb_148_cnt_2_mon_delay_kkb_l3m_nf integer,
   kkb_149_cnt_2_mon_delay_kkb_l6m_nf integer,
   kkb_248_cc_first_pay_on_time_kkb_flg_nf integer,
   kkb_249_ins_pers_loan_first_pay_on_time_kkb_flg_nf integer,
   kkb_251_ins_mortgage_first_pay_on_time_kkb_flg_nf integer,
   kkb_151_cnt_min_3_mon_delay_kkb_l3m_nf integer,
   kkb_138_current_pay_stat_kkb_nf integer,
   kkb_139_worst_pay_stat_kkb_nf integer,
   kkb_142_follow_up_stat_kkb_nf integer,
   kkb_152_cnt_min_3_mon_delay_kkb_l3m_nf integer,
   kkb_166_tot_deliquency_kkb_l3m_nf integer,
   kkb_167_tot_deliquency_kkb_l6m_nf integer,
   kkb_180_tot_mon_instal_amt_pers_loan_kkb_nf integer,
   kkb_182_tot_mon_instal_amt_mortgage_kkb_nf integer,
   kkb_215_cnt_litigated_prod_kkb_ever_nf integer,
   kkb_220_tot_pay_all_prod_kkb_l1m_nf integer,
   kkb_163_worst_pay_stat_kkb_l3m_nf integer,
   kkb_164_worst_pay_stat_kkb_l6m_nf integer,
   kkb_227_tot_pay_cc_kkb_l1m_nf integer,
   kkb_235_tot_pay_ovd_kkb_l1m_nf integer,
   kkb_254_tot_outstand_amt_deliquent_prod_kkb_ratio_nf integer,
   kkb_256_kkb_score_nf integer,
   kkb_257_time_since_cc_open_date_nf integer,
   lim_01_cc_limit_nf integer,
   lim_02_c_adv_limit_nf integer,
   lim_03_ovd_limit_nf integer,
   lim_22_cc_last_lim_increase_date_nf integer,
   lim_22_1_last_lim_decrease_date_nf integer,
   lim_25_last_lim_increase_request_flg_nf integer,
   lim_25_1_last_lim_decrease_request_flg_nf integer,
   lim_29_1_lim_change_to_previous_mon_nf integer,
   out_01_tot_outstand_credits_nf integer,
   out_02_1_avg_mon_outstand_cc_nf integer,
   out_02_outstand_cc_nf integer,
   out_03_outstand_c_adv_nf integer,
   out_08_outstand_ovd_nf integer,
   out_10_outstand_pers_loan_nf integer,
   out_12_outstand_pers_loan_nf integer,
   out_14_outstand_car_loan_nf integer,
   out_16_outstand_ret_loan_nf integer,
   out_24_avg_outstand_cc_l6m_nf integer,
   out_25_outstand_ovd_l6m_nf integer,
   out_26_avg_outstand_cc_l3m_nf integer,
   out_27_outstand_ovd_l3m_nf integer,
   pay_001_tot_pay_all_prod_l1m_nf integer,
   pay_002_tot_pay_all_prod_l3m_nf integer,
   pay_003_tot_pay_all_prod_l6m_nf integer,
   pay_005_1_avg_pay_all_prod_l3m_nf integer,
   pay_005_2_avg_pay_all_prod_l3m_nf integer,
   pay_005_avg_pay_all_prod_l3m_nf integer,
   pay_006_1_avg_pay_all_prod_l6m_nf integer,
   pay_006_2_avg_pay_all_prod_l6m_nf integer,
   pay_006_avg_pay_all_prod_l6m_nf integer,
   pay_008_tot_pay_cc_l1m_nf integer,
   pay_009_tot_pay_cc_l3m_nf integer,
   pay_010_tot_pay_cc_l6m_nf integer,
   pay_012_1_avg_pay_cc_l3m_nf integer,
   pay_012_2_avg_pay_cc_l3m_nf integer,
   pay_012_3_tot_pay_cc_l3m_nf integer,
   pay_012_4_cnt_mon_pay_cc_l3m_nf integer,
   pay_012_avg_pay_cc_l3m_nf integer,
   pay_013_1_avg_pay_cc_l6m_nf integer,
   pay_013_2_avg_pay_cc_l6m_nf integer,
   pay_013_3_tot_pay_cc_l6m_nf integer,
   pay_013_4_cnt_mon_pay_cc_l6m_nf integer,
   pay_013_avg_pay_cc_l6m_nf integer,
   pay_016_tot_pay_ovd_l1m_nf integer,
   pay_018_tot_pay_ovd_l3m_nf integer,
   pay_020_tot_pay_ovd_l6m_nf integer,
   pay_024_1_avg_pay_ovd_l3m_nf integer,
   pay_024_2_avg_pay_ovd_l3m_nf integer,
   pay_024_3_tot_pay_ovd_l3m_nf integer,
   pay_024_4_cnt_mon_pay_ovd_l3m_nf integer,
   pay_024_avg_pay_ovd_l3m_nf integer,
   pay_026_1_avg_pay_ovd_l6m_nf integer,
   pay_026_2_avg_pay_ovd_l6m_nf integer,
   pay_026_3_tot_pay_ovd_l6m_nf integer,
   pay_026_4_cnt_mon_pay_ovd_l6m_nf integer,
   pay_026_avg_pay_ovd_l6m_nf integer,
   pay_029_first_cc_pay_on_time_flg_nf integer,
   pay_030_first_pers_loan_pay_on_time_flg_nf integer,
   pay_031_first_car_loan_pay_on_time_flg_nf integer,
   pay_032_first_mortgage_pay_on_time_flg_nf integer,
   pay_033_first_other_ret_loan_pay_on_time_flg_nf integer,
   pay_035_tot_pay_ret_loan_nf integer,
   pay_036_tot_pay_ret_loan_l3m_nf integer,
   pay_037_tot_pay_ret_loan_l6m_nf integer,
   pay_038_1_avg_pay_ret_loan_l3m_nf integer,
   pay_038_2_avg_pay_ret_loan_l3m_nf integer,
   pay_038_3_tot_pay_ret_loan_l3m_nf integer,
   pay_038_4_cnt_mon_pay_ret_loan_l3m_nf integer,
   pay_038_avg_pay_ret_loan_l3m_nf integer,
   pay_039_1_avg_pay_ret_loan_l6m_nf integer,
   pay_039_2_avg_pay_ret_loan_l6m_nf integer,
   pay_039_3_tot_pay_ret_loan_l6m_nf integer,
   pay_039_4_cnt_mon_pay_ret_loan_l6m_nf integer,
   pay_039_avg_pay_ret_loan_l6m_nf integer,
   pay_040_cc_pay_ratio_l3m_nf integer,
   pay_041_cc_avg_pay_ratio_l3m_nf integer,
   pay_042_cc_avg_pay_ratio_l6m_nf integer,
   rsk_001_pay_stat_nf integer,
   rsk_001_1_pay_stat_nf integer,
   rsk_002_worst_pay_stat_nf integer,
   rsk_003_extra_stat_nf integer,
   rsk_004_cnt_extra_stat_nf integer,
   rsk_005_follow_up_stat_nf integer,
   rsk_006_tot_npl_amt_nf integer,
   rsk_007_mon_npl_amt_nf integer,
   rsk_008_cnt_1_mon_delay_l3m_nf integer,
   rsk_009_cnt_1_mon_delay_l6m_nf integer,
   rsk_011_cnt_2_mon_delay_l3m_nf integer,
   rsk_012_cnt_2_mon_delay_l6m_nf integer,
   rsk_014_cnt_min_3_mon_delay_l3m_nf integer,
   rsk_015_cnt_min_3_mon_delay_l6m_nf integer,
   rsk_017_tot_1_mon_delay_l3m_nf integer,
   rsk_018_tot_1_mon_delay_l6m_nf integer,
   rsk_020_tot_2_mon_delay_l3m_nf integer,
   rsk_021_tot_2_mon_delay_l6m_nf integer,
   rsk_023_tot_min_3_mon_delay_l3m_nf integer,
   rsk_024_tot_min_3_mon_delay_l6m_nf integer,
   rsk_026_worst_pay_stat_l3m_nf integer,
   rsk_026_1_worst_pay_stat_l3m_nf integer,
   rsk_027_worst_pay_stat_l6m_nf integer,
   rsk_027_1_worst_pay_stat_l6m_nf integer,
   rsk_029_tot_deliquency_l3m_nf integer,
   rsk_030_tot_deliquency_l6m_nf integer,
   rsk_032_restruc_credit_flg_nf integer,
   rsk_033_tot_amt_restruc_credit_nf integer,
   rsk_034_npl_amt_cc_nf integer,
   rsk_035_npl_amt_ovd_nf integer,
   rsk_036_npl_amt_pers_loan_nf integer,
   rsk_037_npl_amt_car_loan_nf integer,
   rsk_038_npl_amt_motgages_nf integer,
   rsk_039_npl_amt_pers_loan_nf integer,
   rsk_040_npl_amt_non_instal_cash_loan_nf integer,
   rsk_041_npl_amt_noncash_loan_nf integer,
   rsk_042_npl_amt_cheq_nf integer,
   rsk_043_tot_npl_recover_amt_nf integer,
   rsk_044_tot_npl_sales_amt_nf integer,
   rsk_045_cc_delinquent_days_nf integer,
   sas_1_bs_lim_management_cc_nf integer,
   sas_10_kkb_inquiry_flg_nf integer,
   sas_11_eligible_preapp_loan_flg_nf integer,
   sas_12_eligible_lim_increase_flg_nf integer,
   sas_13_eligible_lim_decrease_flg_nf integer,
   sas_14_od_reccomended_lim_nf integer,
   sas_15_preselec_rule_cc_lim_increase_nf integer,
   sas_16_kkb_inquiry_req_flg_preapp_loan_nf integer,
   sas_2_bs_preapp_loan_nf integer,
   sas_3_scoreband_lim_cc_nf integer,
   sas_4_scoreband_preapp_loan_nf integer,
   sas_5_eligible_lim_increase_flg_nf integer,
   sas_6_recommended_lim_nf integer,
   sas_7_exit_pool_flg_nf integer,
   sas_8_cc_bloking_flg_nf integer,
   sas_9_lim_decrease_flg_nf integer,
   score_1_1_bs_cc_lim_management_date_nf integer,
   score_1_2_bs_cc_lim_management_flg_nf integer,
   score_1_3_bs_cc_lim_management_nf integer,
   score_1_4_scoreband_lim_management_nf integer,
   score_2_1_bs_preapp_loan_nf integer,
   score_2_2_new_bs_calculated_flg_nf integer,
   score_2_3_last_bs_preapp_loan_nf integer,
   score_2_4_scoreband_preapp_loan_nf integer,
   sta_001_tot_amt_statement_l1m_nf integer,
   sta_002_tot_amt_statement_l3m_nf integer,
   sta_003_tot_amt_statement_l6m_nf integer,
   sta_005_1_avg_amt_statement_l3m_nf integer,
   sta_005_2_avg_amt_statement_l3m_nf integer,
   sta_005_avg_amt_statement_l3m_nf integer,
   sta_006_1_avg_amt_statement_l6m_nf integer,
   sta_006_2_avg_amt_statement_l6m_nf integer,
   sta_006_avg_amt_statement_l6m_nf integer,
   sta_008_tot_amt_cash_adv_statement_l1m_nf integer,
   sta_009_tot_amt_cash_adv_statement_l3m_nf integer,
   sta_010_tot_amt_cash_adv_statement_l6m_nf integer,
   sta_012_1_avg_amt_cash_adv_statement_l3m_nf integer,
   sta_012_2_avg_amt_cash_adv_statement_l3m_nf integer,
   sta_012_avg_amt_cash_adv_statement_l3m_nf integer,
   sta_013_1_avg_amt_cash_adv_statement_l6m_nf integer,
   sta_013_2_avg_amt_cash_adv_statement_l6m_nf integer,
   sta_013_avg_amt_cash_adv_statement_l6m_nf integer,
   sta_036_tot_revolved_amt_l1m_nf integer,
   sta_037_tot_revolved_amt_l3m_nf integer,
   sta_038_tot_revolved_amt_l6m_nf integer,
   sta_040_1_avg_revolved_amt_l3m_nf integer,
   sta_040_2_avg_revolved_amt_l3m_nf integer,
   sta_040_avg_revolved_amt_l3m_nf integer,
   sta_041_1_avg_revolved_amt_l6m_nf integer,
   sta_041_2_avg_revolved_amt_l6m_nf integer,
   sta_041_avg_revolved_amt_l6m_nf integer,
   sta_045_cnt_days_cc_over_lim_nf integer,
   sta_046_cnt_days_cc_over_lim_l3m_nf integer,
   sta_047_cnt_days_cc_over_lim_l6m_nf integer,
   uti_002_avg_cc_lim_util_l6m_nf integer,
   uti_003_avg_cc_lim_util_l3m_nf integer,
   uti_004_avg_cc_lim_util_l1m_nf integer,
   uti_006_avg_cash_adv_lim_util_l6m_nf integer,
   uti_007_avg_cash_adv_lim_util_l3m_nf integer,
   uti_008_avg_cash_adv_lim_util_l1m_nf integer,
   uti_010_avg_ovd_lim_util_l6m_nf integer,
   uti_011_avg_ovd_lim_util_l3m_nf integer,
   uti_012_ovd_lim_util_l1m_nf integer,
   uti_017_avg_ovd_util_l3m_nf integer,
   uti_018_avg_ovd_util_l6m_nf integer,
   first_teb_card numeric,
   last_prim_cc_iss numeric,
   number_actv_cc_6m bigint,
   has_virt_cc_6m integer,
   last_supp_cc_iss numeric,
   limit_cc_6m numeric,
   salary_amt numeric,
   credit_sc numeric,
   salary_acct_cnt numeric,
   credit_sc_nf integer,
   top10pct_med_salary_nf integer,
   _1m_sbscr_insrnc_cnt bigint,
   _6m_sbscr_insrnc_cnt bigint,
   _6m_pmt_insrnc_sum numeric,
   _12m_pmt_insrnc_sum numeric,
   _6m_pmt_due_insrnc_sum numeric,
   _12m_pmt_due_insrnc_sum numeric,
   _1m_trf_amt_otg numeric,
   _1m_trf_amt_inter_bnk numeric,
   _6m_trf_amt_otg numeric,
   _6m_trf_amt_cc numeric,
   _6m_trf_frq_otg bigint,
   _6m_trf_frq_cc bigint,
   _1m_tot_amt_web0 numeric,
   _1m_tot_amt_web1 numeric,
   _1m_tot_frq_mc_shp_ctr_pct numeric,
   _1m_tot_frq_mc_clth_pct numeric,
   _1m_tot_frq_mc_fl_stnt_pct numeric,
   _1m_tot_frq_mc_tlcm_pct numeric,
   _1m_tot_frq_mc_eltrn_pct numeric,
   _1m_tot_frq_mc_hlth_pct numeric,
   _1m_tot_frq_mc_othr_pct numeric,
   _6m_tot_amt_web0 numeric,
   _6m_tot_amt_web1 numeric,
   _6m_tot_frq_web1 numeric,
   _6m_tot_frq_lc1 numeric,
   _6m_tot_frq_mc_clth_pct numeric,
   _6m_tot_frq_mc_srvc_pct numeric,
   _6m_tot_frq_mc_tlcm_pct numeric,
   _6m_tot_frq_mc_eltrn_pct numeric,
   _6m_tot_frq_mc_hlth_pct numeric,
   _6m_tot_frq_mc_othr_pct numeric,
   _6m_tot_frq_mc_fd_pct numeric,
   _6m_tot_frq_mc_trvl_pct numeric,
   _6m_tot_frq_mc_frntr_pct numeric,
   _6m_tot_frq_mc_ed_mtrl_pct numeric,
   _6m_tot_frq_mc_bdmt_pct numeric,
   _6m_tot_frq_mc_arprt_pct numeric,
   _6m_tot_frq_mc_srvc_prts_pct numeric,
   _al_rst_loan_cnt numeric,
   _1m_ovd_limit_ut numeric,
   _1m_vipr bigint,
   _1m_clmc bigint,
   _1m_mcgl bigint,
   _1m_vicl bigint,
   _1m_mcpl bigint,
   _1m_mcst bigint,
   _6m_ovr_lmt bigint,
   _6m_total_amnt numeric,
   _1m_currency_code bigint,
   _1m_last_tx_days integer,
   _1m_cc_limit numeric,
   _6m_cc_lmt_utl numeric,
   _l1m_grp_diger_aktif numeric,
   _l3m_musteri_aktif numeric,
   _l3m_grp_vdsz_aktif numeric,
   _l6m_grp_diger_aktif numeric,
   _l6m_grp_vdli_aktif numeric,
   _l6m_grp_nyb_aktif numeric,
   _l6m_grp_cepteteb_aktif numeric,
   _l1m_grp_adk_vy numeric,
   _l1m_grp_vdli_vy numeric,
   _l1m_grp_yat_vy numeric,
   _6m_grp_adk_vy_opn numeric,
   _6m_grp_diger_vy_opn numeric,
   _6m_grp_vdsz_vy_opn numeric,
   _6m_grp_nakdi_krd_vy_opn numeric,
   _6m_grp_cepteteb_vy_opn numeric,
   _6m_sbscr_off_l numeric,
   _1m_sbscr_td numeric,
   _1m_sbscr_per_l numeric,
   _1m_sbscr_off_l numeric,
   _1m_sbscr_mor_l numeric,
   _1m_sbscr_mutual_fund numeric,
   _1m_sbscr_on_sav numeric,
   _1m_sbscr_car_l numeric,
   _1m_sbscr numeric,
   _12m_sbscr_td numeric,
   _12m_sbscr_per_l numeric,
   _12m_sbscr_off_l numeric,
   _12m_sbscr_mor_l numeric,
   _12m_sbscr_mutual_fund numeric,
   _12m_sbscr_on_sav numeric,
   _12m_sbscr_car_l numeric,
   _12m_sbscr_ast numeric,
   _lm_ln_balance numeric,
   _lm_ast_balance numeric,
   _l2m_ln_balance numeric,
   _l2m_ast_balance numeric,
   _1m_lc_due_amt numeric,
   _1m_ml_payment_amt numeric,
   _3m_lc_payment_amt numeric,
   _3m_lc_dpd bigint,
   _6m_ml_payment_amt numeric,
   _12m_early_close_cnt bigint,
   _6m_pmt_due_cc numeric,
   _6m_dpd_max_cc bigint
)
DISTRIBUTE BY HASH (card_no)
STORAGE ROW;