SELECT 
	A.CUST_ID, 
	SUM(CASE WHEN YR_MNTH BETWEEN C. STMT_DT- INTEGER '30' AND STMT_DT 										THEN 1 ELSE 0 END) AS _1M_SBSCR,
	SUM(CASE WHEN YR_MNTH BETWEEN C. STMT_DT- INTEGER '30' AND STMT_DT AND B.PRODUCT_GROUP_2 ='ASSET'		THEN 1 ELSE 0 END) AS _1M_SBSCR_AST,
	SUM(CASE WHEN YR_MNTH BETWEEN C. STMT_DT- INTEGER '30' AND STMT_DT AND B.PRODUCT_GROUP_2 ='LOAN'		THEN 1 ELSE 0 END) AS _1M_SBSCR_LNS,
	SUM(CASE WHEN YR_MNTH BETWEEN C. STMT_DT- INTEGER '30' AND STMT_DT AND B.PRODUCT_GROUP ='Deposit'		THEN 1 ELSE 0 END) AS _1M_SBSCR_DPST,
	SUM(CASE WHEN YR_MNTH BETWEEN C. STMT_DT- INTEGER '30' AND STMT_DT AND B.PRODUCT_GROUP ='Time Deposit'	THEN 1 ELSE 0 END) AS _1M_SBSCR_TM_DEP
	--SUM(CASE WHEN YR_MNTH BETWEEN C. STMT_DT- INTEGER '30' AND STMT_DT AND B.PRODUCT_GROUP ='Time Deposit'	THEN 1 ELSE 0 END) AS _1M_SBSCR_F_LNS,
FROM (
SELECT 
	CUST_ID,
	PROD_KEY, 
	YR_MNTH 
FROM
RISK.PROD_OWNSHIP 
WHERE YR_MNTH BETWEEN DATE'2017/10/01' AND DATE'2017/12/31')A
INNER JOIN 
RISK.REF_BANKAURUNID_GRP3 B
ON A.PROD_KEY=B.LEVEL0
INNER JOIN 
(SELECT 
	CUST_ID, 
	MAX(STMT_DT) AS STMT_DT 
FROM RISK.CUST_DT_DUMMY 
GROUP BY CUST_ID) C
ON A.CUST_ID=C.CUST_ID
GROUP BY A.CUST_ID;
